0.36.2
======
 - Translation updates

Build:
 - Allow building examples stuff without gstreamer-video
 - Bump GSSDP requirement

All:
 - Fix property default values for newer vala
 - Fix position of asynchronous out parameters with newer vala
 - Fix warnings regarding errors on DBus methods with newer vala

Core:
 - Fix using localized directory names for config directory

GStreamer Renderer:
 - Add support for "video/avi"

Media Export:
 - Don't scrub file name when extract-metadata is false

Bugs fixed in this release:
 - Close https://gitlab.gnome.org/GNOME/rygel/issues/118
 - https://bugzilla.gnome.org/show_bug.cgi?id=792358
 - Close https://gitlab.gnome.org/GNOME/rygel/issues/114
 - Close https://gitlab.gnome.org/GNOME/rygel/issues/119

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Waldo Luís Ribeiro <waldoribeiro@sapo.pt>
 - Mingye Wang <arthur200216@gmail.com>
 - Mingcong Bai <jeffbai@aosc.xyz>
 - gogo <trebelnik2@gmail.com>
 - Fabrice Fontaine <fontaine.fabrice@gmail.com>
 - Changwoo Ryu <cwryu@debian.org>

Added/updated translations
 - en_GB, courtesy of Waldo Luís Ribeiro
 - es, courtesy of Daniel Mustieles
 - hr, courtesy of gogo
 - zh_CN, courtesy of Mingcong Bai

0.36.1
======
 - Translation updates

Examples
 - Fix building examples without Wayland
 - Fix mx-info to use Python 3

Tracker
 - Fix SPARQL syntax error
 - Fail configure if tracker-sparql is not found at all

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=791921

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Xavi Ivars <xavi.ivars@gmail.com>
 - Ting-Wei Lan <lantw@src.gnome.org>
 - ST Alfas <st.alfas5@gmail.com>
 - Pawan Chitrakar <chautari@gmail.com>
 - Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
 - hanniedu <hannie@ubuntu-nl.org>
 - Cédric Valmary <cvalmary@yahoo.fr>
 - Alexander Shopov <ash@kambanaria.org>

Added/updated translations
 - bg, courtesy of Alexander Shopov
 - ca, courtesy of Carles Ferrando Garcia
 - ca@valencia, courtesy of Xavi Ivars
 - eo, courtesy of Kristjan SCHMIDT
 - ml, courtesy of Razee Marikar
 - nb, courtesy of Kjartan Maraas
 - ne, courtesy of Pawan Chitrakar
 - nl, courtesy of Justin van Steijn
 - oc, courtesy of Cédric Valmary (totenoc.eu)

0.36.0
======
 - Translation updates

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Pawan Chitrakar <chautari@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - Ask Hjorth Larsen <asklarsen@gmail.com>

Added/updated translations
 - ca, courtesy of Carles Ferrando Garcia
 - da, courtesy of Ask Hjorth Larsen
 - ne, courtesy of Pawan Chitrakar

0.35.0
======

- Translation updates
- Fix missing COPYING.logo in tarball
- Fix XML generation rule for out-of-tree builds from git
- Fix Build issue for dist tarballs with Yocto 2.2
- Fix GStreamer dependency for media engine

Examples
 - Add logo to fullscreen renderer

Server:
 - Fix guessing user agent from SSDP/UPnP communication

Renderer:
 - Remove NOT_IMPLEMENTED for SetNextAVTransport

MediaExport:
 - Log if setting nice value for extractor fails

Tracker:
 - Search for 2.0 API

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=778829

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - gogo <trebelnik2@gmail.com>
 - Tom Tryfonidis <tomtryf@gnome.org>
 - Matteo Settenvini <matteo@member.fsf.org>
 - Furkan Ahmet Kara <furkanahmetkara.fk@gmail.com>
 - Carlos Garnacho <carlosg@gnome.org>

Added/updated translations
 - el, courtesy of Tom Tryfonidis
 - hr, courtesy of gogo
 - oc, courtesy of Cédric Valmary (totenoc.eu)
 - tr, courtesy of Emin Tufan Çetin

0.34.0
======
- Translation updates

All contributors to this release:
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Kukuh Syafaat <syafaatkukuh@gmail.com>

Added/updated translations
 - id, courtesy of Kukuh Syafaat
 - lv, courtesy of Rūdolfs Mazurs

0.33.92
=======

- Translation updates
- Fix RUIH pkg-config file

Bugs fixed in this release:

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Milo Casagrande <milo@ubuntu.com>
 - Jordi Mas <jmas@softcatala.org>
 - Changwoo Ryu <cwryu@debian.org>
 - Ask Hjorth Larsen <asklarsen@gmail.com>

Added/updated translations
 - ca, courtesy of Carles Ferrando Garcia
 - da, courtesy of Ask Hjorth Larsen
 - it, courtesy of Milo Casagrande
 - ko, courtesy of Changwoo Ryu
 - ru, courtesy of Yuri Myasoedov

0.33.90
=======
Server:
 - Add hack for XBMC on original XBox hardware

Settings UI:
 - Fix compilation with Vala master

MediaExport:
 - Improve start-up speed by not re-querying mime types every time

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=777703
 - https://bugzilla.gnome.org/show_bug.cgi?id=778778

All contributors to this release:
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Samuel CUELLA <samuel.cuella@supinfo.com>
 - Matteo Settenvini <matteo@member.fsf.org>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Jens Georg <mail@jensge.org>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Fran Dieguez <fran@openhost.es>
 - Claude Paroz <claude@2xlibre.net>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>

Added/updated translations
 - da, courtesy of Ask Hjorth Larsen
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - fr, courtesy of Claude Paroz
 - gl, courtesy of Fran Dieguez
 - kk, courtesy of Baurzhan Muftakhidinov
 - nb, courtesy of Kjartan Maraas
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - zh_TW, courtesy of Chao-Hsiung Liao

0.33.1
======

- Disable media-engine test, it is racy.

Core:
 - Make configration helper classes publically avalable

GStreamer renderer:
 - Support audio/wav, needed by some Samsung mobile servers

Examples:
 - Fix C server example

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=769189
 - https://bugzilla.gnome.org/show_bug.cgi?id=777379
 - https://bugzilla.gnome.org/show_bug.cgi?id=778526

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Samuel CUELLA <samuel.cuella@supinfo.com>
 - Mandy Wang <wangmychn@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>

Added/updated translations
 - sk, courtesy of Dušan Kazik
 - zh_CN, courtesy of Mandy Wang

0.33.0
======

- Translation updates
- Several fixes for recent vala compiler

MediaExport:
 - Blacklist VA-API for extractor

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=775152

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Stas Solovey <whats_up@tut.by>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Gianvito Cavasoli <gianvito@gmx.it>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Fabio Tomat <f.t.public@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jiri Grönroos
 - fur, courtesy of Fabio Tomat
 - hu, courtesy of Gabor Kelemen
 - it, courtesy of Gianvito Cavasoli
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - ru, courtesy of Stas Solovey
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Anders Jonsson

0.32.1
======

- Translation updates
- Fix compile warnings with newer vala compiler

All contributors to this release:
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Gianvito Cavasoli <gianvito@gmx.it>

Added/updated translations
 - it, courtesy of Gianvito Cavasoli

0.32.0
======
 - Translation updates

All contributors to this release:
 - Ask Hjorth Larsen <asklarsen@gmail.com>

Added/updated translations
 - da, courtesy of Ask Hjorth Larsen

0.31.6
======
 - Translation updates
 - Fixes for Rygel systemd service file

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=766332

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
 - Tom Tryfonidis <tomtryf@gnome.org>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Fran Dieguez <fran.dieguez@mabishu.com>
 - David King <amigadave@amigadave.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - el, courtesy of Tom Tryfonidis
 - en_GB, courtesy of David King
 - gl, courtesy of Fran Dieguez
 - kk, courtesy of Baurzhan Muftakhidinov
 - ko, courtesy of Changwoo Ryu
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - sv, courtesy of Anders Jonsson

0.31.5
======
 - Several translation-related fixes
 - Fix .desktop file generation

Core library:
 - Fix configuration dir generation
 - Fix criticals on unset XDG_* variables
 - Make it possible to add a fixed UDN

MediaExport plugin:
 - Clean-up titles a bit more thoroghly

Tracker:
 - Fix criticals on unset XDG_* variables
 - Fix URL filter
 - Skip URL filter if pattern substitution failed

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=730910
 - https://bugzilla.gnome.org/show_bug.cgi?id=770276
 - https://bugzilla.gnome.org/show_bug.cgi?id=770531

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - fr, courtesy of Alain Lojewski
 - hu, courtesy of Balázs Úr
 - id, courtesy of Andika Triwidada
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.31.4
======

- Several translation-related fixes:
  - Translator comments
  - Language headers
  - POTFILES.* updates

GStreamer Media engine:
 - Don't proxy HTTP URIs

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=769283

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Jens Georg <mail@jensge.org>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - bn_IN, courtesy of Runa Bhattacharjee
 - ca@valencia, courtesy of Gil Forcada
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - gu, courtesy of Sweta Kothari
 - he, courtesy of Yosef Or Boczko
 - kn, courtesy of Shankar Prasad
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - ne, courtesy of Pawan Chitrakar
 - sl, courtesy of Matej Urbančič
 - sr@latin, courtesy of Marko M. Kostić
 - te, courtesy of Hari Krishna
 - ug, courtesy of Gheyret Kenji
 - zh_HK, courtesy of Chao-Hsiung Liao

0.31.3
======

- Explain interface list a bit better in documentation
- Remove obsolete 'upnp-enabled' switch from default config

Core:
 - Fix log level mix-up

Rygel:
 - Allow IP addresses in interface list

Simple media engine:
 - Pass non-file resources as-is

MediaExport:
 - Refactor meta-data extraction
 - Speed up image parsing

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=767305
 - https://bugzilla.gnome.org/show_bug.cgi?id=768010

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Fabio Tomat <f.t.public@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>

Added/updated translations
 - fur, courtesy of Fabio Tomat
 - id, courtesy of Andika Triwidada
 - sk, courtesy of Dušan Kazik

0.31.2
======

- Check whether xsltproc is able to build the manpages
- Don't try to build manpages when xsltproc isn't available
- Check for libmediaart VAPI file

Rygel:
 - Fix critical when running without D-Bus
 - When we ignore a context, disable it

Examples:
 - Fix resource generation

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=767448
 - https://bugzilla.gnome.org/show_bug.cgi?id=767458
 - https://bugzilla.gnome.org/show_bug.cgi?id=767459

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Trần Ngọc Quân <vnwildman@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Cédric Valmary <cvalmary@yahoo.fr>

Added/updated translations
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - oc, courtesy of Cédric Valmary (totenoc.eu)
 - vi, courtesy of Trần Ngọc Quân

0.31.1
======

Rygel:
 - Add a way for Rygel to be started on user bus

Server:
 - Remove some annoying warnings
 - Add hack to suport AVI playback on Philips TVs
 - Fix potential issue with calling strlen on a NULL pointer

GStreamer media engine:
 - Use local path instead of FUSE uri

Tracker:
 - Add an option to limit the exposed files to a set of directories

MediaExport:
 - Use local path instead of FUSE uri to fool GStreamer in not using giosrc
 - Drop some annoying warnings
 - Fix artist view in XBox 360

LMS:
 - Fix license text

Mediathek:
 - Removed.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=685800
 - https://bugzilla.gnome.org/show_bug.cgi?id=765898
 - https://bugzilla.gnome.org/show_bug.cgi?id=766332
 - https://bugzilla.gnome.org/show_bug.cgi?id=766757

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Fabio Tomat <f.t.public@gmail.com>
 - Tiago Santos <tiagofsantos81@sapo.pt>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Bastien Nocera <hadess@hadess.net>

Added/updated translations
 - fur, courtesy of Fabio Tomat
 - pt, courtesy of Tiago Santos
 - sl, courtesy of Matej Urbančič

0.31.0
======

- Fix desktop.in files to which created invalid desktop files after being
  processed
- Disable upload and remove file removal in default configuration
- Minor documentation updates
- Fix output of build summary to show proper tracker version

Core:
 - Always delay reload of config files to prevent reading empty files
 - Make plugin loader watch the config making it possible to enable/disable
   plugins on-the-fly
 - Fix a possible strncpy overflow in ARP lookup

Server:
 - Clean up HTTP GET request handling

Rygel:
 - Fix an issue where we pass NULL to a DBus function causing criticals

LMS:
 - Fix plugin name and make it possible to actually deactivate it

Tracker:
 - Clean up plugin startup

GStreamer renderer:
 - Fix log domain

Playbin:
 - Clean up plugin startup

MediaExport:
 - If allow-upload is not set, then make it impossible for MediaExport to
   remove files from the disk
 - Fix a critical when disconnecting a non-existing signal

Db:
 - Generate api documentation

Tests:
 - Reenable MediaEngine tests

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=764016
 - https://bugzilla.gnome.org/show_bug.cgi?id=764829

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Марко М. Костић <marko.m.kostic@gmail.com>
 - Марко Костић <marko.m.kostic@gmail.com>
 - Tom Tryfonidis <tomtryf@gnome.org>
 - Stas Solovey <whats_up@tut.by>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Kalev Lember <klember@redhat.com>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Gianvito Cavasoli <gianvito@gmx.it>
 - Fran Dieguez <frandieguez@gnome.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - de, courtesy of Mario Blättermann
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - eu, courtesy of dooteo
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - it, courtesy of Gianvito Cavasoli
 - lt, courtesy of Aurimas Černius
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Марко М. Костић
 - sr@latin, courtesy of Marko M. Kostić
 - sv, courtesy of Anders Jonsson
 - uk, courtesy of Daniel Korostil

0.30.0
======

- Replace glib-gettext and intltool with gettext

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=763586

All contributors to this release:
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Jens Georg <mail@jensge.org>
 - Javier Jardón <jjardon@gnome.org>
 - Ask Hjorth Larsen <asklarsen@gmail.com>

Added/updated translations
 - da, courtesy of Ask Hjorth Larsen
 - ru, courtesy of Yuri Myasoedov

0.29.5
======

- Remove obsolete configuration entries from documentation
- Fix underlinking

Database:
 - Don't try to alter r/o databases
 - Remove obsolete PRAGMA

MediaExport:
 - Remove all WS from DVD XML

LightMediaScanner:
 - Add config to template and docs for the config

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Stas Solovey <whats_up@tut.by>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Gianvito Cavasoli <gianvito@gmx.it>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Fran Dieguez <fran.dieguez@mabishu.com>
 - Efstathios Iosifidis <eiosifidis@gnome.org>
 - Duarte Loreto <happyguy_pt@hotmail.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Claude Paroz <claude@2xlibre.net>
 - Changwoo Ryu <cwryu@debian.org>
 - Aurimas Černius <aurisc4@gmail.com>
 - Andreas Henriksson <andreas@fatal.se>

Added/updated translations
 - el, courtesy of Tom Tryfonidis
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of Alain Lojewski
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Gabor Kelemen
 - it, courtesy of Gianvito Cavasoli
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - lv, courtesy of Rūdolfs Mazurs
 - pt, courtesy of Sérgio Cardeira
 - ru, courtesy of Stas Solovey
 - sl, courtesy of Matej Urbančič
 - uk, courtesy of Daniel Korostil

0.29.4
======

- Simplify detection of tracker on compile time


Server:
 - Print sort critera usewd for the browse request in debug

Database:
 - Add possibilty to dump the SQL using an environment variable

GStreamer Media Engine:
 - Do not crash if dvdreadsrc is not available
 - Fix time-based seeking on DVDs

Rygel:
 - Improve signalling for changes in config files

MediaExport:
 - Some style fixes
 - Fix DVD containers
 - Really clean AVI titles
 - Switch back to dvd:// URI scheme
 - Prevent criticals when parsing playlists
 - Don't leak XML doc in DVD parser
 - Don't break on broken XML files lsdvd may produce
 - Fix setting the track id for multi-track DVDs

Lightmediascanner:
 - Switch to use the database in read-only mode

Tests:
 - Reenable some of them

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Artur de Aquino Morais <aamorais93.estudos@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Fran Dieguez <fran.dieguez@mabishu.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Cédric Valmary <cvalmary@yahoo.fr>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - oc, courtesy of Cédric Valmary (totenoc.eu)
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Artur de Aquino Morais
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Anders Jonsson

0.29.3
======

Core:
 - Fix a small memory leak with DescriptionDocument handling

Server:
 - Add "Server:" HTTP header

MediaExport:
 - Fix DLNA profile and extension for DVD isos to improve compatibility with
   more renderers
 - Some code refactoring
 - Remove UNIX signal handling from mx-extract
 - Get the tile of the DVD from the file name, not from the volume title
 - If the DVD has only one title, export it directly
 - Try to make nice movie titles for videos
 - Avoid a potential race condition and crash on slow startup

GstLaunch:
 - Fix URI generation

GStreamer media engine:
 - Fix URI generation

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=747816

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Fontenelle <rffontenelle@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

Added/updated translations
 - de, courtesy of Mario Blättermann
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - zh_TW, courtesy of Chao-Hsiung Liao

0.29.2
======

Database:
 - Use GObject-style construction for Database
 - Add possibility to re-bind a Cursor

Server:
 - Fix thumbnails with some Samsung TVs
 - Hide engine-internal URIs
 - Indent request headers for better readability
 - Fix Range header of resources with unknown length
 - Improve MIME -> extension mapping
 - Add explicit check for @restricted

MediaExport:
 - Really remove broken/empty cache DVD file
 - Skip DVD if lsdvd isn't available instead of blacklisting

GStreamer Media Engine:
 - Fix serving resources with unspecified length

Gst-Launch:
 - Fix setting of DLNA profile

 LMS:
  - Replace custom database functions with implementations from Rygel.Database

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=721312
 - https://bugzilla.gnome.org/show_bug.cgi?id=740266

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - sk, courtesy of Dušan Kazik

0.29.1
======

- Fix license text of code to be LGPLv2.1+ proper.
- Fix license of logo to be CC-BY-SA-3.0.
- Add a plugin to support LightweightMediaScanner.

Core:
 - Avoid crash if plugin folder is missing.

Server:
 - Avoid a crash on empty protocol info.
 - Fix issue with calculating end byte in partial request.
 - Playlists need to support INTERACTIVE transport mode.
 - Some code cleanup.
 - Set albumArtURI when applying DIDL on UpdateObject call.

GStreamer media engine:
 - Remove broken transmuxing.

MediaExport:
 - Some code cleanup.
 - Add support for .iso files and VIDEO_TS folders.

Examples:
 - Add option to unblacklist files from MediaExport database to mx-info.

Bugs fixed in this release:
 - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=801521
 - https://bugzilla.gnome.org/show_bug.cgi?id=756823
 - https://bugzilla.gnome.org/show_bug.cgi?id=757056
 - https://bugzilla.gnome.org/show_bug.cgi?id=757570

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Alexander Kanavin <alex.kanavin@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Rafael Fontenelle <rffontenelle@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Милош Поповић <gpopac@gmail.com>
 - Wolfgang Stöggl <c72578@yahoo.de>
 - Stas Solovey <whats_up@tut.by>
 - Sebastian Rasmussen <sebras@gmail.com>
 - Roderich Schupp <roderich.schupp@gmail.com>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Pedro Albuquerque <palbuquerque73@gmail.com>
 - Muhammet Kara <muhammetk@gmail.com>
 - Marcus Gisslén <marcus.gisslen@gmail.com>
 - Manuel Bachmann <manuel.bachmann@iot.bzh>
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Jens Georg <jensg@openismus.com>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Claudio Arseni <claudio.arseni@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Arash Mousavi <mousavi.arash@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - fa, courtesy of Amir Farsi
 - it, courtesy of Claudio Arseni
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pt_BR, courtesy of Rafael Fontenelle
 - pt, courtesy of
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Марко М. Костић (Marko M. Kostić)
 - sv, courtesy of Sebastian Rasmussen
 - tr, courtesy of Muhammet Kara

0.27.6
======

Database:
 - Fix issue introduced with 0.27.5 that caused exec() to only run the first
   query of a list of ";"-separated queries.

Media-Export:
 - Fix extration with disabled meta-data.
 - Fix extraction of DIDL_S playlists.
 - Small simplification and removal of accidental debug warnings.

Mediathek:
 - Use new default feed because the old one does not exist anymore.
 - Remove WMV support because it got removed from the service. This is a major
   problem as the MP4 support is provided using RTSP and we need to fix
   bgo#651535 to make it usable for all renderers again.
 - Fix automatic resource generation.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=754420

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
 - Changwoo Ryu <cwryu@debian.org>
 - Balázs Meskó <meskobalazs@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of Alain Lojewski
 - hu, courtesy of Meskó Balázs
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius

0.27.5
======

Gst-Launch:
 - Fix missing resources.

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jens Georg <mail@jensge.org>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Stas Solovey <whats_up@tut.by>
 - Pedro Albuquerque <palbuquerque73@gmail.com>
 - Fran Dieguez <fran@openhost.es>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

Added/updated translations
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - pl, courtesy of Piotr Drąg
 - pt, courtesy of Pedro Albuquerque
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - zh_TW, courtesy of Chao-Hsiung Liao

0.27.4
======

Server:
 - Fix MediaResource copy constructor to copy import_uri.
 - Serialize import URI properlie in MediaResource.
 - Fix rewriting of subtitle URIs in PV tag.
 - Add PV subtitle to all resources.

Database:
 - Make it a little bit more generic
 - Fix vala deps.

GStreamer media engine:
 - Do not add transcoded resources for place-holder items.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=753314

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Marek Černocký <marek@manet.cz>
 - Pedro Albuquerque <palbuquerque73@gmail.com>
 - Muhammet Kara <muhammetk@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Jordi Mas <jmas@softcatala.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - ca, courtesy of David Medina
 - cs, courtesy of Marek Černocký
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pt, courtesy of Pedro Albuquerque
 - sk, courtesy of Dušan Kazik
 - tr, courtesy of Muhammet Kara

0.27.3
======

- Remove streaming only mode.
- Switch DLNA version to 1.51 to accomodate for the long protocolInfo strings.
- Bump GLib and Vala requirements.
- Add an implementation for GUPnPACL based on a DBus interface.

MediaExport plugin:
 - Add back album art extraction.
 - Add back possibility to not harvest meta-data.
 - Add timing output for HarvestingTask.
 - Add a blacklist database table and bump database schema to v17.
 - Add back by-passing of text files for the extractor.
 - Add blacklisting for broken URIs.
 - Drop support for database schema upgrade for versions < v16.
 - Translation and style fixes.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=747815
 - https://bugzilla.gnome.org/show_bug.cgi?id=748404
 - https://bugzilla.gnome.org/show_bug.cgi?id=751942
 - https://bugzilla.gnome.org/show_bug.cgi?id=752207

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Pedro Albuquerque <palbuquerque73@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Parthiban Balasubramanian <parthiban.balasubramanian@cablelabs.com>
 - Dimitris Spingos <dmtrs32@gmail.com>
 - Cédric Valmary <cvalmary@yahoo.fr>
 - Balázs Úr <urbalazs@gmail.com>

Added/updated translations
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Balázs Úr
 - oc, courtesy of Cédric Valmary (totenoc.eu)
 - pt, courtesy of Pedro Albuquerque
 - sk, courtesy of Dušan Kazik

Updated dependencies:
 - GLib 2.40 for GSubprocess and GSubprocessLauncher.
 - Valac 0.24 for binding of GSubprocess and GSubprocessLauncher.

0.27.2
======

A new unstable release of Rygel!

- Make configure.ac a bit easier to read.

Database:
 - Move core database functionality into its own library so code may be shared
   (e.g. LMS, ODID, …)

MediaExport plugin:
 - Refactor and style fixes.
 - Split meta-data extraction into an external process.
 - Move core database functionality into its own library.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=749790

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Benjamin Steinwender <b@stbe.at>
 - Marek Černocký <marek@manet.cz>
 - Dušan Kazik <prescott66@gmail.com>
 - Dimitris Spingos <dmtrs32@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Benjamin Steinwender
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - sk, courtesy of Dušan Kazik

0.27.1
======

A new unstable release of Rygel!

- Coding style fixes.
- Link plug-ins to only export the necessary symbols.
- Use gupnp_get_uuid () instead of libuuid directly.
- String updates.

Core:
 - Make it possible to change the device's serial number.

Server:
 - Fix output of to_string() method for HTTPByteSeekResponse.
 - Make MP3 the preffered audio resource for LG devices.
 - Fix mime-type rewriting.
 - Do not add child count to DIDL-Lite if it's < 0.
 - Do not add 1--1/* range response headers.
 - Fix replacing of @ADDRESS@ variable in URIs.

Renderer:
 - Fix TransportActions for images.
 - Fix slide-show feature handling.

GStreamer renderer:
 - Prevent a critical message.
 - Remove deprecated API.
 - Make it possible to override the User-Agent header.
 - Remove obsolete helper code from GStreamer 0.10.

RUIH:
 - Check mandatory arguments.

External Plug-in:
 - Actually add resources to items.
 - Use -1 as "unknown child count" instead of int.MAX.

GStreamer media engine:
 - Handle non-file uris.
 - Do not add transcoder if the original resource is the same profile.
 - Move URIs that are already HTTP to the top of the list.

Simple media engine:
 - Use a thread pool if available.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=731467
 - https://bugzilla.gnome.org/show_bug.cgi?id=746679
 - https://bugzilla.gnome.org/show_bug.cgi?id=748410
 - https://bugzilla.gnome.org/show_bug.cgi?id=748628
 - https://bugzilla.gnome.org/show_bug.cgi?id=748769
 - https://bugzilla.gnome.org/show_bug.cgi?id=749771

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Jussi Kukkonen <jku@goto.fi>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Parthiban Balasubramanian <parthibanbalu1@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Aron Rosenberg <aronrosenberg@gmail.com>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - ca, courtesy of David
 - cs, courtesy of Marek Černocký
 - el, courtesy of Tom Tryfonidis
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - fr, courtesy of Alain Lojewski
 - ko, courtesy of Changwoo Ryu
 - pl, courtesy of Piotr Drąg
 - sk, courtesy of Dušan Kazik
 - sl, courtesy of Matej Urbančič

Changes in dependencies:
 - Drop direct dependency on e2fs uuid library.
 - GUPnP dependency bumped to >= 0.20.14.

0.26.1
======

A new maintenance release of Rygel!

- Fix underlinking of RUIH library.

Server:
 - Prevent a crticial warning.
 - Make Kodi a variant of XBMC in hacks,
 - Prevent a crash on missing thumbnails.
 - Fix npt= header parsing.

Renderer:
 - Fix wrong double escaping.

GStreamer media engine:
 - Fix time-based seeking.
 - Fix resource duration handling for transcoded resources.

Examples:
 - Fix the C server example.


Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=748410

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Stas Solovey <whats_up@tut.by>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Marek Černocký <marek@manet.cz>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Felipe Braga <fbobraga@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Aurimas Černius <aurisc4@gmail.com>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations:
 - cs, courtesy of Marek Černocký
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - fr, courtesy of Alain Lojewski
 - hu, courtesy of Gabor Kelemen
 - it, courtesy of Milo Casagrande
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Felipe Braga
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - sl, courtesy of Matej Urbančič

0.26.0
======

A new stable release of Rygel!

- Update documentation build to work out-of-tree and skip useless rebuilds.
- Include new API in gtk-doc.
- Fix make distclean.

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Wolfgang Stöggl <c72578@yahoo.de>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Stas Solovey <whats_up@tut.by>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Muhammet Kara <muhammetk@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Kentaro KAZUHAMA <kazken3@gmail.com>
 - Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
 - Fran Dieguez <frandieguez@gnome.org>
 - Enrico Nicoletto <liverig@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Claudio Arseni <claudio.arseni@gmail.com>
 - Cheng-Chia Tseng <>
 - Changwoo Ryu <cwryu@debian.org>
 - Balázs Úr <urbalazs@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - de, courtesy of Wolfgang Stoeggl
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of Alain Lojewski
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - it, courtesy of Claudio Arseni
 - ja, courtesy of Kentaro KAZUHAMA
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - sv, courtesy of Anders Jonsson
 - tr, courtesy of Muhammet Kara
 - zh_TW, courtesy of Cheng-Chia Tseng

0.25.3
======

Server:
 - Some clean-up.
 - Use framerate in PlaySpeed response.
 - Style fixes.

Tracker:
 - Fix for new resource handling.

Renderer:
 - Set "Connection: close" in HEAD request to server.
 - Fix GetProtocolInfo output.
 - Correctly escape state variables.
 - Fix an issue with dangling this pointer of AVTransport in lambdas.
 - Fix an issue with dangling service pointer in ChangeLog.
 - Fix AV1-MR:1-AVT:1-6.1.
 - Return an error on incorrect playback transitions

GStreamer Renderer:
 - Add GObject introspection.

UI:
 - Fix ambiguity with recent Vala compiler and GLib.ListStore.

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Milan Plzik <milan.plzik@streamunlimited.com>
 - Simon Mikuda <simon.mikuda@streamunlimited.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Sebastian Rasmussen <sebras@gmail.com>
 - Samir Ribic <samir.ribic@etf.unsa.ba>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Paweł Żołnowski <pawel@zolnowski.name>
 - Muhammet Kara <muhammetk@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Kevron Rees <kevron.m.rees@intel.com>
 - Fran Dieguez <fran.dieguez@mabishu.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 - Changwoo Ryu <cwryu@debian.org>
 - Balázs Úr <urbalazs@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Alexandre Franke <alexandre.franke@gmail.com>
 - Alain Lojewski <allomervan@gmail.com>

Added/updated translations
 - bs, courtesy of Samir Ribić
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - el, courtesy of Tom Tryfonidis
 - fr, courtesy of Alain Lojewski
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - pl, courtesy of Paweł Żołnowski
 - pt_BR, courtesy of Rafael Ferreira
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Sebastian Rasmussen
 - tr, courtesy of Muhammet Kara
 - uk, courtesy of Daniel Korostil
 - zh_TW, courtesy of Chao-Hsiung Liao

0.25.2.1
========

- Fix dist tarball
- Include new translations

Bugs fixed in this release:

All contributors to this release:
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Jens Georg <mail@jensge.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - ru, courtesy of Yuri Myasoedov
 - sk, courtesy of Dušan Kazik

0.25.2
======

- Merge changes from Cablelab's CVP-2 implementation.
- Avoid circular reference that made context recreation fail after
  suspend/resume cycle.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=720218
 - https://bugzilla.gnome.org/show_bug.cgi?id=736365
 - https://bugzilla.gnome.org/show_bug.cgi?id=740221

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Marek Černocký <marek@manet.cz>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Craig Pratt <craig@ecaspia.com>
 - Bernd Homuth <dev@hmt.im>
 - Balázs Úr <urbalazs@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Bernd Homuth
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Balázs Úr
 - nb, courtesy of Kjartan Maraas
 - sk, courtesy of Dušan Kazik

0.25.1
======

- Use different log domains for components.

Core:
 - Fix typo.

Server:
 - Small refactoring regarding remote/local resources.

Rygel:
 - Improve compatibility with recent Vala compiler.

Tracker:
 - Fix compile issues due to missing exception.

MediaExport:
 - Fix issue where files removed on dist were not removed from index.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=740903
 - https://bugzilla.gnome.org/show_bug.cgi?id=741913
 - https://bugzilla.gnome.org/show_bug.cgi?id=741953

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Muhammet Kara <muhammetk@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Marc-André Lureau <marcandre.lureau@gmail.com>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Pawan Chitrakar <chautari@gmail.com>
 - hmt <dev@hmt.im>
 - Fran Dieguez <fran.dieguez@mabishu.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Bernd Homuth <dev@hmt.im>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Bernd Homuth
 - es, courtesy of Daniel Mustieles
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - ne, courtesy of Pawan Chitrakar
 - pt_BR, courtesy of Rafael Ferreira
 - sk, courtesy of Dušan Kazik
 - tr, courtesy of Muhammet Kara

0.25.0
======

A new unstable release of Rygel!

- (Presumably) Fix issue with generated version if downstream calls autoreconf
  on the dist tarball.
- Add Remote UI Server implementation.
- Add EnergyManagement service implementation.
- Bump ABI/API.

Renderer:
 - Make it possible to implement different play modes.

Server:
 - Several style fixes and code refactorings.
 - Move the code for Samsung subtitles into Samsung device hack.

MediaExport:
 - Style and documentation fixes.

GStreamer media engine:
 - Fix warning about non-existent source id.

Simple media engine:
 - Fix locking.

Tests:
 - Reenable locking-affected engine tests.

Dependencies:
 - Bump libmediaart version to 0.7.0.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=737513
 - https://bugzilla.gnome.org/show_bug.cgi?id=737522
 - https://bugzilla.gnome.org/show_bug.cgi?id=737867

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Yosef Or Boczko <yoseforb@src.gnome.org>
 - Scott Deboy <sdeboy@secondstryke.com>
 - rygelgit <p.balasubramanian@cablelabs.com>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Dimitris Spingos <dmtrs32@gmail.com>
 - Claudio Arseni <claudio.arseni@gmail.com>

Added/updated translations
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - he, courtesy of Yosef Or Boczko
 - it, courtesy of Milo Casagrande
 - lv, courtesy of Rūdolfs Mazurs
 - nb, courtesy of Kjartan Maraas

0.24.2
======

A maintenance release of Rygel!

Server:
 - Fix sidecar album art extraction.

Media-Export:
 - Work-around an issue with GStreamer bindings that caused truncated embedded
   album art.

All contributors to this release:
 - Jens Georg <mail@jensge.org>

0.24.1
======

A maintenance release of Rygel!

Server:
 - Fix UpdateObject call on MusicItem.

External:
 - Fix plugin activation.

MPRIS:
 - Fix stream position indication for clients that do not event "Position".
 - Fix plugin activation.
 - Force update of properties on plugin creation.

GObject-Introspection:
 - Fix renderer example and require a recent version of g-i.
 - Add license for examples.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=737867

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Yosef Or Boczko <yoseforb@src.gnome.org>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Kjartan Maraas <kmaraas@gnome.org>

Added/updated translations
 - he, courtesy of Yosef Or Boczko
 - it, courtesy of Milo Casagrande
 - lv, courtesy of Rūdolfs Mazurs
 - nb, courtesy of Kjartan Maraas
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.24.0
======

A new stable release of Rygel!

- Make it possible to build without GObject introspection.

Server:
 - Fix a critical about timeout sources.

MediaExport:
 - Fix typo in plugin file.
 - Don't delete a file if the file monitor signalled the file was deleted.

Renderer:
 - Fix criticals on start-up.

GStreamer media engine:
 - Fix possible race in accessing a critical section.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=734303
 - https://bugzilla.gnome.org/show_bug.cgi?id=734358
 - https://bugzilla.gnome.org/show_bug.cgi?id=736403

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Debarshi Ray <debarshir@gnome.org>
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Marek Černocký <marek@manet.cz>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Gil Forcada <gforcada@gnome.org>
 - Fran Diéguez <fran.dieguez@mabishu.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Carles Ferrando <carles.ferrando@gmail.com>
 - Andika Triwidada <andika@gmail.com>
 - Tong Hui <tonghuix@gmail.com>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Sebastian Rasmussen <sebras@gmail.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Paweł Żołnowski <pawel@zolnowski.name>
 - Nilamdyuti Goswami <ngoswami@redhat.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 - Balázs Úr <urbalazs@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Ask H. Larsen <asklarsen@gmail.com>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - as, courtesy of Nilamdyuti Goswami
 - ca, courtesy of Gil Forcada
 - ca@valencia, courtesy of Gil Forcada
 - cs, courtesy of Marek Černocký
 - da, courtesy of Ask Hjorth Larsen
 - de, courtesy of Christian Kirbach
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - fr, courtesy of naybnet
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - id, courtesy of Andika Triwidada
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Paweł Żołnowski
 - pt_BR, courtesy of Rafael Ferreira
 - ru, courtesy of Yuri Myasoedov
 - sk, courtesy of Dušan Kazik
 - sv, courtesy of Sebastian Rasmussen
 - uk, courtesy of Daniel Korostil
 - zh_CN, courtesy of Tong Hui
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.23.3
======

- Some build fixes.
- Add GObject introspection support and some examples.

Core:
 - Fix building with recent vala versions.

Server:
 - Fix a crash when ImportResource() is cancelled.
 - Simplify error handling in ImportResource().
 - Use new libmediaart API.

Renderer:
 - Make it possible to re-implement PlayerController.

Changes in dependencies:
  - Libmediaart >= 0.5.0

Known issues:
 - It's currently not possible to implement a renderer using g-i. That is
   either some issue in Vala or a bug in what we do.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=732057
 - https://bugzilla.gnome.org/show_bug.cgi?id=734302

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Aurimas Černius <aurisc4@gmail.com>
 - Tom Tryfonidis <tomtryf@gmail.com>
 - Rico Tzschichholz <ricotz@t-online.de>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Olav Vitters <olav@vitters.nl>
 - ngoswami <ngoswami@redhat.com>
 - MarMav <mavridou@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Daniel Mustieles <dnaiel.mustieles@gmail.com>

Added/updated translations
 - as, courtesy of Nilamdyuti Goswami
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas

0.23.2
======

- Hide Object.uris property. Its semantics were always unclear.

Renderer:
 - Work-around failing HEAD requests, next incarnation.
 - Support M3U playlists.
 - Check instance id in Next() and Prev() SOAP calls.
 - Sent byte position in RelCount/AbsCount instead of int.MAX.

GStreamer renderer:
 - Remove "TRANSITIONING" state in Stop() and Pause() SOAP calls.
 - Don't try to parse empty meta-data for duration guessing.

Server:
 - Make sure tags don't contain white-spaces in UpdateObject() call.
 - Improve CSV splitting in UpdateObject().
 - Validate date in UpdateObject().

Basic Management:
 - Fix NSLookup repitition.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=732935

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Enrico Nicoletto <liverig@gmail.com>
 - Daniel Mustieles <dnaiel.mustieles@gmail.com>
 - rygelgit <p.balasubramanian@cablelabs.com>
 - Fran Diéguez <fran.dieguez@mabishu.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - pt_BR, courtesy of Enrico Nicoletto

0.23.1.1
========

- Launch rygel directly from desktop file.


Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=731858

All contributors to this release:
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Bastien Nocera <hadess@hadess.net>

Added/updated translations
 - ru, courtesy of Yuri Myasoedov

0.23.1
======

A new unstable release of Rygel!

- Remove -Wl,-z,defs.
- Fix several criticals related to time-out sources.

Rygel:
 - Change single instance behavior; don't replace running instance by default,
   add new "-r/--replace" option to go back to the old behavior.
 - Several manpage fixes.

Server:
 - Pass on all resources on object creation.
 - Pass more meta-data on object creation.
 - Improve error handling in reference creation.
 - Set HTTP version to 1.1 as late as possible.
 - Port media art lookup to libmediaart.
 - Add some documentation for AudioItem.
 - Move some properties to base classes.
 - Fix a potential null pointer dereference.

Renderer:
 - Report NextAVTransport* values in GetMediaInfo().
 - Properly remove the playlist timeout.

GStreamer Renderer:
 - Don't exit if there is no playbin element.
 - Deprecate Renderer.wrap.
 - Use cubic volume.
 - Fix duration and position.
 - Use duration from meta-data until playbin does provide it.
 - Rely on libsoup to determine the proxy.
 - Use dlna+http virtual protocol if the dlnasrc element is available.

Preferences:
 - Use Gtk.Window instead of Gtk.Dialog.

External:
 - Let the peer decide on the sort order.

MediaExport:
 - Code style fixes.
 - Use libmediaart for media art extraction.
 - Handle external media art such as folder.jpg etc.
 - Prevent a strange warning on media upload.
 - Add a configuration option to disable/set the time to wait before
   extracting meta-data after a file modification event has happened.
 - Properly handle album art for m4a fies.

Attention!
==========
 - API and ABI version have been bumped to 2.4 to prepare for the upcoming API
   changes.
 - New dependency: libmediaart >= 0.4.0.
 - Due to a memory leak fix, the recommended Vala version is 0.24.0-108-g0edb05c

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=689632
 - https://bugzilla.gnome.org/show_bug.cgi?id=694455
 - https://bugzilla.gnome.org/show_bug.cgi?id=702555
 - https://bugzilla.gnome.org/show_bug.cgi?id=709723
 - https://bugzilla.gnome.org/show_bug.cgi?id=710387
 - https://bugzilla.gnome.org/show_bug.cgi?id=710443
 - https://bugzilla.gnome.org/show_bug.cgi?id=720672
 - https://bugzilla.gnome.org/show_bug.cgi?id=721817
 - https://bugzilla.gnome.org/show_bug.cgi?id=721824
 - https://bugzilla.gnome.org/show_bug.cgi?id=723374
 - https://bugzilla.gnome.org/show_bug.cgi?id=726982
 - https://bugzilla.gnome.org/show_bug.cgi?id=727424
 - https://bugzilla.gnome.org/show_bug.cgi?id=727479
 - https://bugzilla.gnome.org/show_bug.cgi?id=729090
 - https://bugzilla.gnome.org/show_bug.cgi?id=731348
 - https://bugzilla.gnome.org/show_bug.cgi?id=731859

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Craig Pratt <craig@ecaspia.com>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Reiner Merk <lotan_rm@gmx.de>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Daniel Mustieles <dnaiel.mustieles@gmail.com>
 - Alexander Kanavin <alex.kanavin@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - es, courtesy of Daniel Mustieles
 - pt_BR, courtesy of Enrico Nicoletto

0.22.2
======

a new stable release of rygel!

- fix dbus plugins.
- bump libsoup requirement to 2.44.

tracker:
 - actually use nmm:dlnamime property.

bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=730913

all contributors to this release:
 - jens georg <mail@jensge.org>
 - wolfgang stöggl <c72578@yahoo.de>
 - tom tryfonidis <tomtryf@gmail.com>
 - dirgita <dirgitadevina@gmail.com>
 - carles ferrando <carles.ferrando@gmail.com>

added/updated translations
 - ca@valencia, courtesy of pau iranzo
 - de, courtesy of wolfgang stoeggl
 - el, courtesy of eva fotopoulou
 - id, courtesy of dirgita

0.22.1
======

a new stable release of rygel!

core:
 - don't spam debug log.

renderer:
 - fix uri handling for playlists.


bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=726776

all contributors to this release:
 - jens georg <mail@jensge.org>
 - peter mráz <etkinator@gmail.com>
 - dušan kazik <prescott66@gmail.com>
 - christian kirbach <christian.kirbach@gmail.com>

added/updated translations
 - de, courtesy of christian kirbach
 - sk, courtesy of peter mráz

0.22.0
======

a new stable release of rygel!

all contributors to this release:
 - inaki larranaga murgoitio <dooteo@zundan.com>
 - kenneth nielsen <k.nielsen81@gmail.com>
 - мирослав николић <miroslavnikolic@rocketmail.com>
 - pau iranzo <paugnu@gmail.com>
 - jiro matsuzawa <jmatsuzawa@gnome.org>
 - duarte loreto <happyguy_pt@hotmail.com>
 - ask h. larsen <asklarsen@gmail.com>

added/updated translations
 - ca, courtesy of pau iranzo
 - da, courtesy of ask hjorth larsen
 - eu, courtesy of iñaki larrañaga murgoitio
 - ja, courtesy of jiro matsuzawa
 - pt, courtesy of duarte loreto
 - sr, courtesy of мирослав николић

0.21.6
======

- More cp -d replacement.

GStreamer Renderer:
 - Fix two criticals on start-up.

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Wylmer Wang <wantinghard@gmail.com>
 - Ville-Pekka Vainio <vpvainio@iki.fi>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Paweł Żołnowski <pawel@zolnowski.name>
 - naybnet <naybnet@gmail.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 - Andika Triwidada <andika@gmail.com>

Added/updated translations
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of naybnet
 - id, courtesy of Andika Triwidada
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Paweł Żołnowski
 - ru, courtesy of Yuri Myasoedov
 - uk, courtesy of Daniel Korostil
 - zh_CN, courtesy of Wylmer Wang
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.21.5
======

- Some gtk-doc fixes.
- Remove obsolete configure function from autogen.sh.
- Fix "make distcheck".
- Replace non-portable cp -d.
- Fix GstLaunch examples in rygel.conf for GStreamer 1.0.
- Add support for /etc/pretty-hostname.
- Support building with tracker-1.0 API.

Core:
 - Remove Freedesktop.* DBus interfaces.
 - Move the two copies of Rygel.DLNAProfile to Core.

GStreamer Renderer:
 - Deprecate .wrap constructor.
 - Don't leak and return a value in the .wrap constructor on error.

MediaExport:
 - Be a bit more helpful and tell which folder we failed to enumerate.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=722021
 - https://bugzilla.gnome.org/show_bug.cgi?id=722527
 - https://bugzilla.gnome.org/show_bug.cgi?id=724138
 - https://bugzilla.gnome.org/show_bug.cgi?id=724215
 - https://bugzilla.gnome.org/show_bug.cgi?id=724820

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Fran Diéguez <fran.dieguez@mabishu.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Nilamdyuti Goswami <ngoswami@redhat.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Giovanni Campagna <gcampagna@src.gnome.org>
 - Debarshi Ray <debarshir@gnome.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Bjørn Lie <bjorn.lie@gmail.com>
 - Balázs Úr <urbalazs@src.gnome.org>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - as, courtesy of Nilamdyuti Goswami
 - cs, courtesy of Marek Černocký
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - hu, courtesy of Balázs Úr
 - it, courtesy of Milo Casagrande
 - ko, courtesy of Changwoo Ryu
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pt_BR, courtesy of Rafael Ferreira
 - sl, courtesy of Matej Urbančič
 - uk, courtesy of Daniel Korostil

0.21.4
======

Core:
 - Link against libm for "round" function.

All contributors to this release:
 - Matej Urbančič <mateju@svn.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Jens Georg <mail@jensge.org>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - nb, courtesy of Kjartan Maraas
 - sl, courtesy of Matej Urbančič
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.21.3
======

A new unstable release of Rygel.

Changes compared to 0.21.3:

- Update FSF address.

Server:
 - Use correct depth for PNG thumbnails.
 - Add hacks for LG SmartShare TVs.

MediaExport:
 - Work around an SQL error when browsing Artists.

GStreamer Renderer:
 - Query source element for duration and position.
 - Remove BUFFERING/CLOCK_LOST handling.

External:
 - Don't corrupt container names.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=720671
 - https://bugzilla.gnome.org/show_bug.cgi?id=720836
 - https://bugzilla.gnome.org/show_bug.cgi?id=721270
 - https://bugzilla.gnome.org/show_bug.cgi?id=721575
 - https://bugzilla.gnome.org/show_bug.cgi?id=721824

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Victor Ibragimov <victor.ibragimov@gmail.com>
 - Tong Hui <tonghuix@gmmail.com>
 - siva <siva@orexel.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Dimitris Spingos <dmtrs32@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - it, courtesy of Milo Casagrande
 - lt, courtesy of Aurimas Černius
 - pt_BR, courtesy of Rafael Ferreira
 - sl, courtesy of Matej Urbančič
 - tg, courtesy of Victor Ibragimov
 - zh_CN, courtesy of Tong Hui

0.21.2
======

A new unstable release of Rygel.

Changes compared to 0.21.1:

ATTENTION: API and ABI bump!

Tracker:
 - Add build support for 0.18.

Server:
 - Allow server plugins to override search capabilities.
 - Add more Samsung hacks.
 - Add seeking hacks for some UPnP music receivers.

Renderer:
 - Return protocol info of current media in GetCurrentConnectionInfo call.
 - Implement SetNextAVTransportURI.
 - Treat REL_TIME/ABS_TIME the same again. This is less broken than the
   original fix.
 - Use correct PlaybackStorageMedium values.

BasicManagement:
 - Remove unused state variable.

MPRIS:
 - Set default playspeed to prevent a critical.

External:
 - Fix wrong parameter order in AlbumArtFactory.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=706986
 - https://bugzilla.gnome.org/show_bug.cgi?id=709165
 - https://bugzilla.gnome.org/show_bug.cgi?id=712181
 - https://bugzilla.gnome.org/show_bug.cgi?id=712660
 - https://bugzilla.gnome.org/show_bug.cgi?id=715089
 - https://bugzilla.gnome.org/show_bug.cgi?id=719721
 - https://bugzilla.gnome.org/show_bug.cgi?id=719998
 - https://bugzilla.gnome.org/show_bug.cgi?id=720669
 - https://bugzilla.gnome.org/show_bug.cgi?id=720837

All contributors to this release:
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
 - Jens Georg <mail@jensge.org>
 - Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Fran Diéguez <fran.dieguez@mabishu.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - 甘 露 <rhythm.gan@gmail.com>
 - Reiner Merk <lotan_rm@gmx.de>
 - Marek Černocký <marek@manet.cz>
 - John Obaterspok <john.obaterspok@gmail.com>
 - Dominique Leuenberger <dimstar@opensuse.org>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - eo, courtesy of Kristjan SCHMIDT
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - it, courtesy of Milo Casagrande
 - zh_CN, courtesy of 甘露(Gan Lu)

0.21.1
======

A new unstable release of Rygel.

Changes compared to 0.21.0:

- Fix vala check to only compile, not link to avoid issues with
  gst-uninstalled.
- Some documentation fixes.
- Port to new libsoup session API.

Basic Management:
 - Add initial support.

Server:
 - Support serving subtitles using the PV method. Fixes external subtitles for
   a variety of devices such as WD TV Live or Panasonic TVs.

Renderer:
 - Accept missing mime-types in playlist check.
 - Fix CurrentTransportActions to include Next and Prev.
 - Support milliseconds in time-stamps.
 - Drop allowed value list from TransportPlaySpeed.
 - Unify playspeed parsing.
 - Implement DLNA bye seeking.
 - Fix and implement PlaybackStorageMedium variable.

MPRIS:
 - Fix for new renderer API.

GStreamer renderer:
 - Implement DLNA byte seeking.
 - Enable more playspeeds.

Changes in dependencies:
 - libsoup >= 2.42.0
 - GUPnP-AV >= 0.12.4

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=661228
 - https://bugzilla.gnome.org/show_bug.cgi?id=707058
 - https://bugzilla.gnome.org/show_bug.cgi?id=707059
 - https://bugzilla.gnome.org/show_bug.cgi?id=707541
 - https://bugzilla.gnome.org/show_bug.cgi?id=707831
 - https://bugzilla.gnome.org/show_bug.cgi?id=710368
 - https://bugzilla.gnome.org/show_bug.cgi?id=711399
 - https://bugzilla.gnome.org/show_bug.cgi?id=711661
 - https://bugzilla.gnome.org/show_bug.cgi?id=712336
 - https://bugzilla.gnome.org/show_bug.cgi?id=712517

All contributors to this release:
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Jean-Baptiste Dubois <jean-baptiste.dubois@parrot.com>
 - Dimitris Spingos <dmtrs32@gmail.com>

Added/updated translations
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - pl, courtesy of Piotr Drąg
 - sl, courtesy of Matej Urbančič

0.21.0
======

A new unstable release of Rygel.

Changes compared to 0.19.7:

- Port to new libsoup vapi.
- Several i18n fixes.
- Make missing gtk-doc non fatal and just don't build api docs then unless
  explicitly requested.
- Rename --enable-valadoc to --enable-apidocs.
- Several style fixes.
- Add "devel" and "release" shortcuts to autogen.
- Drop strict vala compiler because of deprecations.

Core:
 - Get MediaDevice port from MetaConfig.

Server:
 - Generate proper contentFeatures.dlna.org header for DIDL_S resources.
 - Use xmlNs instead of specifying the namespace in string form in Samsung
   subtitle support.
 - Make MediaObject.serialize public to enable custom XML modifications.
 - Use URL-aware base64 encoding to prevent issues with "/".

Renderer:
 - Fix REL_TIME seeking.
 - Fix error codes when seeking beyond the file.
 - Fix error codes when time-seek is not available.
 - Add PossiblePlaybackStorageMedia values.
 - Set track info for empty or non-http uris.
 - Fix AbsoluteCounterPosition type.
 - Listen to MediaPlayer.volume changes.
 - Don't loop on image-only playlists.
 - Lower LastChange accumulation timeout.

GStreamer renderer:
 - Handle seeking beyond end of file.
 - Remove invalid DLNA profile MPEG_TS_HD_EU_ISO.
 - Fix GStreamer dependency to use 1.0 instead of 0.10.

MediaExport:
 - Fix GstDiscoverer error handling.

MPRIS:
 - Fix seeking.
 - Query seeking ability from DBus.
 - Ignore read-only MPRIS peers.

Simple media engine:
 - Support files > 4GB on 32bit systems.

Examples:
 - Simplify C renderer example a bit.
 - Simulate image rendering in vala renderer example.

Changes in dependencies:
 GLib >= 2.34 due to g_file_delete_async
 Vala >= 0.22 for new libsoup-2.4 vapi

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=677405
 - https://bugzilla.gnome.org/show_bug.cgi?id=686628
 - https://bugzilla.gnome.org/show_bug.cgi?id=692509
 - https://bugzilla.gnome.org/show_bug.cgi?id=704317
 - https://bugzilla.gnome.org/show_bug.cgi?id=707054
 - https://bugzilla.gnome.org/show_bug.cgi?id=709077
 - https://bugzilla.gnome.org/show_bug.cgi?id=709170
 - https://bugzilla.gnome.org/show_bug.cgi?id=709190
 - https://bugzilla.gnome.org/show_bug.cgi?id=709287
 - https://bugzilla.gnome.org/show_bug.cgi?id=709551
 - https://bugzilla.gnome.org/show_bug.cgi?id=709627
 - https://bugzilla.gnome.org/show_bug.cgi?id=709723
 - https://bugzilla.gnome.org/show_bug.cgi?id=709887
 - https://bugzilla.gnome.org/show_bug.cgi?id=710377
 - https://bugzilla.gnome.org/show_bug.cgi?id=710781
 - https://bugzilla.gnome.org/show_bug.cgi?id=710877
 - https://bugzilla.gnome.org/show_bug.cgi?id=710999

All contributors to this release:
 - Jens Georg <jensg@openismus.com>
 - Inaki Larranaga Murgoitio <dooteo@zundan.com>
 - Yuri Myasoedov <ymyasoedov@yandex.ru>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Jean-Baptiste Dubois <jean-baptiste.dubois@parrot.com>
 - Balázs Úr <urbalazs@src.gnome.org>
 - victory <victory.deb@gmail.com>
 - Tobias Endrigkeit <tobiasendrigkeit@outlook.com>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Richard Röjfors <richard.rojfors@gmail.com>
 - Milo Casagrande <milo@ubuntu.com>
 - Milan Plzik <milan.plzik@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Josep Sànchez <papapep@gmx.com>
 - Gil Forcada <gforcada@gnome.org>
 - Gabor Kelemen <kelemeng@gnome.hu>
 - Fionn Cleary <fcleary@netsoc.tcd.ie>
 - Enrico Nicoletto <liverig@gmail.com>
 - Dimitis Spingos <dmtrs32@gmail.com>
 - Claudio Arseni <claudio.arseni@ubuntu.com>
 - Carles Ferrando <carles.ferrando@gmail.com>
 - Benjamin Steinwender <b@stbe.at>
 - Aurimas Černius <aurisc4@gmail.com>
 - Andika Triwidada <andika@gmail.com>

Added/updated translations
 - ca, courtesy of Josep Sànchez Mesegué
 - ca@valencia, courtesy of Josep Sànchez Mesegué
 - cs, courtesy of Marek Černocký
 - de, courtesy of Tobias Endrigkeit
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - hu, courtesy of Balázs Úr
 - id, courtesy of Andika Triwidada
 - it, courtesy of Claudio Arseni
 - ja, courtesy of Jiro Matsuzawa
 - lt, courtesy of Aurimas Černius
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - ru, courtesy of Yuri Myasoedov
 - sl, courtesy of Matej Urbančič

0.19.7
======

A new unstable release of Rygel.

Changes compared to 0.19.6:

Renderer:
 - Fix compatible actions.
 - Fix missing , in renderer protocol info.
 - Initialize mute state from player.

MediaExport:
 - Fix a crash after disabling virtual folders.

Rygel:
 - Print version number on startup.

Bugs fixed/addressed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=677552
 - https://bugzilla.gnome.org/show_bug.cgi?id=701934
 - https://bugzilla.gnome.org/show_bug.cgi?id=706978
 - https://bugzilla.gnome.org/show_bug.cgi?id=707962

All contributors to this release:
 - Jens Georg <jensg@openismus.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Ville-Pekka Vainio <vpvainio@iki.fi>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Milan Plzik <milan.plzik@streamunlimited.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Dmitriy S. Seregin <dseregin@59.ru>
 - Claudio Arseni <claudio.arseni@ubuntu.com>
 - Changwoo Ryu <cwryu@debian.org>
 - Bruce Cowan <bruce@bcowan.me.uk>
 - Ask H. Larsen <asklarsen@gmail.com>
 - Andika Triwidada <andika@gmail.com>

Added/updated translations
 - da, courtesy of Ask Hjorth Larsen
 - en_GB, courtesy of Bruce Cowan
 - fi, courtesy of Jiri Grönroos
 - id, courtesy of Andika Triwidada
 - it, courtesy of Claudio Arseni
 - ko, courtesy of Changwoo Ryu
 - lv, courtesy of Rūdolfs Mazurs
 - nb, courtesy of Kjartan Maraas
 - ru, courtesy of Yuri Myasoedov
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić


0.19.6
======

A new unstable release of Rygel.

Changes compared to 0.19.5:

- Improve Android compatiblity.

Server:
 - Fix upload of files.
 - Fix CreateReference call.

GStreamer Renderer:
 - Fix warning with newer valac about copying unowned structs.

MediaExport:
 - Fix warning with newer valac about copying unowned structs.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=706525
 - https://bugzilla.gnome.org/show_bug.cgi?id=706797
 - https://bugzilla.gnome.org/show_bug.cgi?id=707065
 - https://bugzilla.gnome.org/show_bug.cgi?id=707146

All contributors to this release:
 - Jens Georg <jensg@openismus.com>
 - Alexandre Franke <alexandre.franke@gmail.com>
 - Reynaldo H. Verdejo Pinochet <reynaldo@collabora.com>
 - Regis Merlino <regis.merlino@intel.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Maciej Piechotka <uzytkownik2@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Funda Wang <fundawang@gmail.com>
 - Fran Diéguez <fran.dieguez@mabishu.com>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - fr, courtesy of Alain Lojewski
 - gl, courtesy of Fran Dieguez
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Ferreira
 - sl, courtesy of Matej Urbančič
 - zh_CN, courtesy of 甘露(Gan  Lu)

0.19.5
======

A new unstable release of Rygel.

Changes compared to 0.19.4:

Core:
 - Use proper PNG depth value of 24 bit.
 - Fix several error codes.

Server:
 - Validate <createClass> nodes during object creation.
 - Fix recursive item removal and notification thereof.
 - Fix several error codes.
 - Remove manually removed items from the ItemRemovalQueue.
 - Report missing "Filter" argument in browse call.
 - Use searchClasses to find a compatible container in DLNA.ORG_AnyContainer
   container creation scenario.
 - Add X_GetDLNAUploadProfiles call.
 - Move the knowledge about supported DLNA profiles from the MediaEngine to the
   MediaServerPlugin.

Renderer:
 - Add possibility to define a set of supported DLNA profiles and not only mime
   types to the renderer.
 - Add missing <X_DLNADOC> node and content.
 - Remove unused state variables.

Playbin plugin:
 - Make it work with simple engine.

MediaExport plugin:
 - Fix invalid browse response in "Artist" folder that broke compatibility with
   certain Samsung TV sets.
 - Actually use the sort criteria when browsing/searching in virtual folders.
 - Fix a critical/crash on automatic item removal.
 - Implement container removal.
 - Emit containerUpdateID signals when a playlist container changes.
 - Add several messages when database operations fail.
 - Fix memory corruption in SQLite string collation functions.
 - Use fall-back search when client searches for @refID to capture the virtual
   container as well as manually created references.
 - Use correct OCM flags for playlist containers.
 - Remove hack for searching UPnP containers.
 - Fix recursion in virtual containers on certain search requests.
 - Fix a critical in the custom SQLite "CONTAINS" keyword implementation.

External plugin:
 - Fix an untranslatable message.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=699698
 - https://bugzilla.gnome.org/show_bug.cgi?id=702228
 - https://bugzilla.gnome.org/show_bug.cgi?id=702253
 - https://bugzilla.gnome.org/show_bug.cgi?id=702452
 - https://bugzilla.gnome.org/show_bug.cgi?id=702633
 - https://bugzilla.gnome.org/show_bug.cgi?id=702741
 - https://bugzilla.gnome.org/show_bug.cgi?id=703135
 - https://bugzilla.gnome.org/show_bug.cgi?id=704146
 - https://bugzilla.gnome.org/show_bug.cgi?id=705084
 - https://bugzilla.gnome.org/show_bug.cgi?id=705576
 - https://bugzilla.gnome.org/show_bug.cgi?id=705587
 - https://bugzilla.gnome.org/show_bug.cgi?id=705899
 - https://bugzilla.gnome.org/show_bug.cgi?id=706058
 - https://bugzilla.gnome.org/show_bug.cgi?id=706059
 - https://bugzilla.gnome.org/show_bug.cgi?id=706142
 - https://bugzilla.gnome.org/show_bug.cgi?id=706143
 - https://bugzilla.gnome.org/show_bug.cgi?id=706182

All contributors to this release:
 - Jens Georg <jensg@openismus.com>
 - Marek Černocký <marek@manet.cz>
 - Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - 甘露(Gan  Lu) <rhythm.gan@gmail.com>
 - Yuri Myasoedov <omerta13@yandex.ru>
 - Yaron Shahrabani <sh.yaron@gmail.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Fran Diéguez <fran.dieguez@mabishu.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Craig Pratt <craig@ecaspia.com>
 - Christian Kirbach <christian.kirbach@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Ferreira
 - ru, courtesy of Yuri Myasoedov
 - sk, courtesy of Dušan Kazik
 - zh_CN, courtesy of 甘露(Gan  Lu)
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.19.4
======

A new unstable release of Rygel.

Changes compared to 0.19.3:

- Fix building with --enable-debug.
- Fix device templates to have "correct" element order.
- Add a target to generate the HTML versions of manpages; they are available
  at http://rygel-project.org/doc/latest/rygel.html and
  http://rygel-project.org/doc/latest/rygel.conf.html

Core:
 - Fix DescriptionFile.set_dlna_caps to properly create missing nodes.
 - Keep order of elements when manipulating the device description in
   DescriptionClass.
 - Refactor code to only manipulate the device description from one place.

Server:
 - Fix seeking with full-range seeks on time-based seek requests.
 - Fix a rare issue with item creation returning the wrong meta-data.
 - Fix UpdateObject UPnP call to actually work.
 - Use object.container by default and fall-back to
   object.container.storageFolder for XBox 360.
 - Fix error codes for serveral SOAP calls.
 - Add support for dc:creator.
 - Fix an accidental C ABI break.
 - Always add a user agent to the agent cache even if it doesn't match the
   current hack.
 - Force HTTP 1.1 as recommended by DLNA.
 - Fix upload of DIDL_S playlist items.
 - Make it possible to override OCM flags in children of MediaObject.

MediaExport:
 - Use proper (full) iso8601 date format as required by DLNA.
 - Use object.container by default and fall-back to
   object.container.storageFolder for XBox 360.
 - Use DLNA-compliant create-classes.
 - Allow reference creation everywhere.
 - Use dc:creator.
 - Don't leak file descriptors in the JPEG writer.
 - Set proper OCM flags on the playlist root container.
 - Set proper <upnp:searchClass> on containers.

Changes in dependencies:
  Vala >= 0.20 is now required.

All bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=701637
 - https://bugzilla.gnome.org/show_bug.cgi?id=701948
 - https://bugzilla.gnome.org/show_bug.cgi?id=702083
 - https://bugzilla.gnome.org/show_bug.cgi?id=702231
 - https://bugzilla.gnome.org/show_bug.cgi?id=702254
 - https://bugzilla.gnome.org/show_bug.cgi?id=702255
 - https://bugzilla.gnome.org/show_bug.cgi?id=702256
 - https://bugzilla.gnome.org/show_bug.cgi?id=702258
 - https://bugzilla.gnome.org/show_bug.cgi?id=702262
 - https://bugzilla.gnome.org/show_bug.cgi?id=702451
 - https://bugzilla.gnome.org/show_bug.cgi?id=702555
 - https://bugzilla.gnome.org/show_bug.cgi?id=702743
 - https://bugzilla.gnome.org/show_bug.cgi?id=703044
 - https://bugzilla.gnome.org/show_bug.cgi?id=703140
 - https://bugzilla.gnome.org/show_bug.cgi?id=703241
 - https://bugzilla.gnome.org/show_bug.cgi?id=704066

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Jussi Kukkonen <jussi.kukkonen@intel.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
  Piotr Drąg <piotrdrag@gmail.com>
  Kjartan Maraas <kmaraas@gnome.org>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Victor Ibragimov <victor.ibragimov@gmail.com>
  Marek Černocký <marek@manet.cz>
  Enrico Nicoletto <liverig@gmail.com>
  Edson Silva <edsonlead@gmail.com>
  Dimitris Spingos <dmtrs32@gmail.com>
  Christian Kirbach <christian.kirbach@gmail.com>
  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
  Benjamin Steinwender <b@stbe.at>
  Andika Triwidada <andika@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - id, courtesy of Andika Triwidada
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Edson Silva
 - tg, courtesy of Victor Ibragimov
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.19.3
======

A new unstable release of Rygel.

Changes compared to 0.19.2:

Server:
 - Add container serialisation to EXTM3U.
 - Fix DLNA transfer modes for generated playlists.

Rygel:
 - Add -s,--shutdown options to shut down a running instance without using
   d-feet or dbus-send.

GStreamer media engine:
 - Some string fixes.
 - Fix a typo in the avenc_aac preset.
 - Issue a proper warning when we fail to setup a data source.
 - Don't crash if there's no RTP depayloader available.

MediaExport:
 - Make it possible to remove playlists.
 - Expose the playlists for XBox 360.

Preferences UI:
 - Some glade file clean-ups.
 - Move toolbar style from code to glade file.
 - Support setting of multiple network interfaces as introduced in 0.19.2.

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Piotr Drąg <piotrdrag@gmail.com>
  Marek Černocký <marek@manet.cz>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - lt, courtesy of Aurimas Černius

0.19.2
======

A new unstable release for Rygel.

Changes compared to 0.19.1:

- Minor build fixes and clean-up.
- Documentation updates and typos fixed.

Core:
 - Make the interface= configuration multi-valued.

Rygel:
 - Make the commandline options translatable.
 - Show a message when we run in streaming-only mode.

Server:
 - Some coding style fixes.

Renderer:
 - Provide a proper fall-back to GET if peer does not support HEAD.

Preferences:
 - Don't lose the current network interface.

MediaExport:
 - Don't lose child containers when we add the parent container.
 - Fix sorting by date.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=648003
 - https://bugzilla.gnome.org/show_bug.cgi?id=694357
 - https://bugzilla.gnome.org/show_bug.cgi?id=700570

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Yuri Myasoedov <omerta13@yandex.ru>
  Yaron Shahrabani <sh.yaron@gmail.com>
  Mihai Moldovan <ionic@ionic.de>
  Matej Urbančič <mateju@svn.gnome.org>
  Kjartan Maraas <kmaraas@gnome.org>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Dušan Kazik <prescott66@gmail.com>
  Aurimas Černius <aurisc4@gmail.com>
  Andreas Henriksson <andreas@fatal.se>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - ru, courtesy of Yuri Myasoedov
 - sk, courtesy of Dušan Kazik
 - sl, courtesy of Matej Urbančič

0.19.1
======

A new unstable series for Rygel.

Changes compared to 0.18.1:

- Some build simplifications.
- Fix translation comments.
- Update the architecture diagram.
- Stop blindly loading every dynamic library we can find in the plug-in
  folder.

Rygel:
 - Show a warning if the user configuration could not be found.

Core:
 - Fix a memory leak in Rygel.DescriptionFile.
 - Rename a variable called "template" to avoid issues when using Rygel from
   C++.

Server:
 - Don't add DIDL_S <res> nodes on childless containers.

Renderer:
 - Treat MALFORMED requests as BAD_REQUESTS.

MediaExport:
 - Add infrastructure for testing the plug-in.
 - Add two regression tests for bgo#689326.
 - Unbreak synchronization use-cases.
 - Support server-side playlists.

Tracker:
 - Make it possible to upload to DLNA.ORG_AnyContainer even if there's nothing
   of that type of media shared yet.

GStreamer media engine:
 - Some clean-up.
 - Work around a vala bug causing issues on non-Intel architectures.

Preferences:
 - Only set "enable" checkmark if the user's config file and the autostart file
   exist and enable-upnp is set in the configuration.
 - Fix issue with newly created user configuration being mostly empty on first
   start.
 - Use a GtkSwitch for enabling/disabling sharing.
 - Fix starting Rygel after enabling it in the dialog.

Changes in dependencies:
 - Require GTK+ 3.0 instead of 2.90.x (optional)

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=660885
 - https://bugzilla.gnome.org/show_bug.cgi?id=695593
 - https://bugzilla.gnome.org/show_bug.cgi?id=698260
 - https://bugzilla.gnome.org/show_bug.cgi?id=698572
 - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703281
 - https://bugs.launchpad.net/ubuntu/+source/rygel/+bug/827030
 - https://bugzilla.gnome.org/show_bug.cgi?id=697793
 - https://bugzilla.gnome.org/show_bug.cgi?id=697949

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Piotr Drąg <piotrdrag@gmail.com>
  Enrico Nicoletto <liverig@gmail.com>
  Chandan Kumar <Chandankumar.093047@gmail.com>
  Balázs Úr <urbalazs@src.gnome.org>
  Ville-Pekka Vainio <vpvainio@iki.fi>
  Rūdolfs Mazurs <rudolfsm@src.gnome.org>
  os_ <syriatalks@hotmail.com>
  Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
  Nilamdyuti Goswami <ngoswami@redhat.com>
  Murray Cumming <murrayc@murrayc.com>
  Milo Casagrande <milo@ubuntu.com>
  Mattias Põldaru <mahfiaz@gmail.com>
  Martin Srebotnjak <miles@filmsi.net>
  Mario Blättermann <mariobl@gnome.org>
  Marek Černocký <marek@manet.cz>
  Marcin Kazmierczak <marcin.kazmierczak@live.com>
  Joe Hansen <joedalton2@yahoo.dk>
  Joan Duran <jodufi@gmail.com>
  Jens Georg <mail@jensge.org>
  Jasper Lievisse Adriaanse <jasper@humppa.nl>
  Inaki Larranaga Murgoitio <dooteo@zundan.com>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Duarte Loreto <happyguy_pt@hotmail.com>
  Dr.T.Vasudevan <drtvasudevan@gmail.com>
  Dimitris Spingos <dmtrs32@gmail.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Choe Hwanjin <choe.hwanjin@gmail.com>
  Changwoo Ryu <cwryu@debian.org>
  Carles Ferrando <carles.ferrando@gmail.com>
  Bruce Cowan <bruce@bcowan.me.uk>
  Andika Triwidada <andika@gmail.com>
  Alexandre Franke <alexandre.franke@gmail.com>
  Akom Chotiphantawanon <knight2000@gmail.com>

Added/updated translations
 - ar, courtesy of os_
 - as, courtesy of Nilamdyuti Goswami
 - ca, courtesy of Joan Duran
 - ca@valencia, courtesy of Joan Duran
 - cs, courtesy of Marek Černocký
 - da, courtesy of Joe Hansen
 - de, courtesy of Mario Blättermann
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - en_GB, courtesy of Bruce Cowan
 - es, courtesy of Daniel Mustieles
 - et, courtesy of Mattias Põldaru
 - eu, courtesy of Iñaki Larrañaga Murgoitio
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of Alain Lojewski
 - gl, courtesy of Fran Dieguez
 - hi, courtesy of chandankumar
 - hu, courtesy of Balázs Úr
 - id, courtesy of Andika Triwidada
 - it, courtesy of Milo Casagrande
 - ko, courtesy of Changwoo Ryu
 - lv, courtesy of Rūdolfs Mazurs
 - pt_BR, courtesy of Enrico Nicoletto
 - pt, courtesy of Duarte Loreto
 - sl, courtesy of Matej Urbančič
 - ta, courtesy of Dr.T.Vasudevan
 - th, courtesy of Akom Chotiphantawanon

0.17.9
======

A new unstable release for Rygel.

Changes compared to 0.17.8:

- Fixed NEWS file from last release, adding missing translation credits and
  bugs.
- Fix ContainerUpdateIDs variable.
- Add DLNA "create-child-container" capabilities.
- Add possibility to create containers in addition to items.
- Always downgrade each service to V1 for device quirks.
- Downgrade to V1 for libupnp-based devices.
- Downgrade to V1 for iOS clients using system libraries for HTTP.
- Some spelling fixes.
- Implement CreateReference UPnP call.

MediaExport:
 - Allow to create containers.
 - Use title set by CreateObject or UpdateObject instead of the one detected
   from meta-data extraction.
 - Some code clean-up.
 - Drop unused database column.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=694019
 - https://bugzilla.gnome.org/show_bug.cgi?id=694155
 - https://bugzilla.gnome.org/show_bug.cgi?id=683926
 - https://bugzilla.gnome.org/show_bug.cgi?id=694270
 - https://bugzilla.gnome.org/show_bug.cgi?id=694179
 - https://bugzilla.gnome.org/show_bug.cgi?id=694926

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Krzesimir Nowak <krnowak@openismus.com>
  Gheyret Kenji <gheyret@gmail.com>
  Yaron Shahrabani <sh.yaron@gmail.com>
  Stas Solovey <whats_up@tut.by>
  Matej Urbančič <mateju@svn.gnome.org>
  Kjartan Maraas <kmaraas@gnome.org>
  Dimitris Spingos <dmtrs32@gmail.com>
  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
  Aurimas Černius <aurisc4@gmail.com>
  A S Alam <aalam@users.sf.net>

Added/updated translations
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - he, courtesy of Yaron Shahrabani
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pa, courtesy of A S Alam
 - ru, courtesy of Yuri Myasoedov
 - sl, courtesy of Matej Urbančič
 - ug, courtesy of Gheyret Kenji
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.17.8
======

A new unstable release for Rygel

Changes compared to 0.17.7:

- Various documentation fixes.
- Fix an issue with using DLNA.ORG_AnyContainer on upload.
- Linker fixes.
- Some minor nullable fixes.
- Modify .pc files to include useful information for external media engines
  and plug-ins.
- Hide rygel-preferences in GNOME environment since it's handled by system
  settings.

MediaExport:
 - Various clean-ups.
 - Fix comparing GFiles properly.
 - Properly check for hidden files instead of using .has_prefix (".").
 - Don't emit multiple extraction errors.
 - Fix some unnecessary sting copying.
 - Fix plug-in start-up on on database error.
 - Fix harvesting of dates from media files.
 - More LastChange event emitting fixes.
 - React if configuration of uris changes.
 - Add an option to disable the virtual container hierarchy.
 - Also extract basic file information if no GstDiscoverer can be created.

GStreamer Renderer:
 - Support flash videos as announced by grl-ms2 and its youtube plug-in.
 - Honor http_proxy environment variable and desktop proxy settings.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=692362
 - https://bugzilla.gnome.org/show_bug.cgi?id=693577
 - https://bugzilla.gnome.org/show_bug.cgi?id=692696

All contributors to this release:
  Krzesimir Nowak <krnowak@openismus.com>
  Murray Cumming <murrayc@murrayc.com>
  Jens Georg <jensg@openismus.com>
  Murray Cumming <murrayc@openismus.com>
  Мирослав Николић <miroslavnikolic@rocketmail.com>
  Piotr Drąg <piotrdrag@gmail.com>
  Jens Georg <mail@jensge.org>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Anish A <aneesh.nl@gmail.com>
  Yaron Shahrabani <sh.yaron@gmail.com>
  Nathaniel McCallum <nathaniel@themccallums.org>
  Milo Casagrande <milo@ubuntu.com>
  Matej Urbančič <mateju@svn.gnome.org>
  Marek Černocký <marek@manet.cz>
  Kjartan Maraas <kmaraas@gnome.org>
  Gheyret Kenji <gheyret@gmail.com>
  Christian Kirbach <Christian.Kirbach@googlemail.com>
  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - it, courtesy of Milo Casagrande
 - ml, courtesy of Razee Marikar
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - ug, courtesy of Gheyret Kenji
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.17.7
======

A new unstable release for Rygel

Changes compared to 0.17.6:

- Add keywords to .desktop file.
- Documentation updates.
- Fix documentation installation when building from tarball.
- Convert all public classes to use GObject-style construction.
- Add hack for Windows 7 system SSDP to show up in network neighbourhood as
  media device and not as a generic UPnP device.
- Support .smi subtitles.
- Also apply device downgrade hacks to the media renderer.
- Fix an issue with translation strings being split.

MediaExport:
 - Drop unused DBus service. Same result will be achievable via manipulating
   the settings in the next release.
 - Some internal refactoring.
 - Correctly use @refID on items in the virtual folders.
 - Use proper container class for virtual folders.
 - Don't loop endlessly when database upgrade fails.
 - Port to new GUPnP-DLNA API.
 - Fix an issue when the XDG_ variables are not properly defined.

GStreamer Renderer:
 - Fix LPCM mime type to be case-insensitive.

GStreamer Media Engine:
 - Port to new GUPnP-DLNA API.

Changes in dependencies:
 - GUPnP-DLNA >= 0.9.4.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=690770
 - https://bugzilla.gnome.org/show_bug.cgi?id=690360
 - https://github.com/01org/media-service-upnp/issues/117
 - https://bugzilla.gnome.org/show_bug.cgi?id=690533
 - https://bugzilla.gnome.org/show_bug.cgi?id=675186
 - https://bugzilla.gnome.org/show_bug.cgi?id=692189
 - https://bugzilla.gnome.org/show_bug.cgi?id=691595

All contributors to this release:
  Murray Cumming <murrayc@murrayc.com>
  Jens Georg <jensg@openismus.com>
  Krzesimir Nowak <krnowak@openismus.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Мирослав Николић <miroslavnikolic@rocketmail.com>
  Regis Merlino <regis.merlino@intel.com>
  Milo Casagrande <milo@ubuntu.com>
  Kjartan Maraas <kmaraas@gnome.org>
  Javier Jardón <javier.jardon@codethink.co.uk>
  Gheyret Kenji <gheyret@gmail.com>
  Dušan Kazik <prescott66@gmail.com>
  Dominique Leuenberger <dimstar@opensuse.org>
  Choe Hwanjin <choe.hwanjin@gmail.com>
  Alexander Shopov <ash@kambanaria.org>
  Akom Chotiphantawanon <knight2000@gmail.com>

Added/updated translations
 - bg, courtesy of Alexander Shopov
 - es, courtesy of Daniel Mustieles
 - it, courtesy of Milo Casagrande
 - nb, courtesy of Kjartan Maraas
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - th, courtesy of Akom Chotiphantawanon
 - ug, courtesy of Gheyret Kenji

0.17.6
======

A new unstable release for Rygel

Changes compared to 0.17.5.1:

- Fix parsing of configuration from environment variables.
- Remove an ugly hack using leaking symbols in GStreamer media engines.
- Documentation updates.
- Example code updates.
- Silence uncaught error from Thumbnailer when there's no DBus session bus.
- Add a SD_NA MPEG2 transcoding profile for north american SD-only
  televisions.
- Fix bitrates for the AVC_MP4_BL_CIF15_AAC_520 DLNA profile.

GStreamer Renderer:
 - Fix pc file install and dependencies.

GStreamer Media Engine:
 - Clean-ups.
 - Print a proper warning if the transcoding profile is empty instead of
   showing a critical.

MediaExport:
 - Add "All" container below each artist.
 - Make some settings changeable at runtime: "extract-metadata" and
   "monitor-changes" can now be changed and they will be picked up without the
   need to restart or kill -HUP rygel.
 - Fix missing objAdd event in change tracking.
 - Suppress objMod events from containers that are not tracked.
 - Remove some triple update events for one update.

MPRIS:
 - Show a less scary message when no DBus session bus is available.

External:
 - Show a less scary message when no DBus session bus is available.

Examples:
 - Various updates and enhancements.
 - Update fullscreen rendenderer to be closable by keyboard and hide the mouse
   cursor.
 - Add a high-quality MPEG2 transcoding preset.

Docs:
 - Many improvements.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=676136
 - https://bugzilla.gnome.org/show_bug.cgi?id=679262
 - https://bugzilla.gnome.org/show_bug.cgi?id=686676

Bugs addresses in this release, but not fixed completely:
 - https://bugzilla.gnome.org/show_bug.cgi?id=690772

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Murray Cumming <murrayc@murrayc.com>
  Yaron Shahrabani <sh.yaron@gmail.com>
  Piotr Drąg <piotrdrag@gmail.com>
  Mattias Põldaru <mahfiaz@gmail.com>
  Kjartan Maraas <kmaraas@gnome.org>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Aurimas Černius <aurisc4@gmail.com>

Added/updated translations
 - et, courtesy of Mattias Põldaru
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - pl, courtesy of Piotr Drąg

0.17.5.1
========

A paperbag release for Rygel

Changes compared to 0.17.5:

- Fix underlinking of some plug-ins.

MediaExport:
 - Fix database upgrade from schema version 11 to 12

All contributors to this release:
   Jens Georg <mail@jensge.org>

0.17.5
======

A new unstable release for Rygel

Changes compared to 0.17.4:

- Correctly announce "content-synchronization" DLNA capability if supported.
- Move some public classes to GObject-style construction.
- Drop some obsolete code.
- Large refactoring and clean-up of the build setup.

Renderer:
 - Fix issue with internal plug-in in librygel-renderer.
 - Delay creation of the PlayerController. This fixes a critical in the
   wrapping GStreamer renderer.
 - Fix an issue with X_DLNA_SeekTime being always available, even for images.
 - Fix a typo in the initial state variable notify.
 - Add renderer-side PlaySpeed support.

Server:
 - Fix issue with ServiceResetToken being regenerated at each start.
 - Fix issue with missing search capabilities when the plug-in supports change
   tracking.
 - Fix schema location in generated LastChange XML.
 - Fix issue where only the most recent LastChange event was added to the
   LastChange XML.
 - Fix an issue with default parameter set to "this" being ambigous.
 - Get the SystemUpdateID from the back-end when it supports change tracking.

GStreamer renderer:
 - Base RygelPlaybinRenderer on RygelMediaRenderer instead of directly
   extending RygelMediaDevice.
 - Move the plugin class back into the Playbin plugin.

Examples:
 - Add a fullscreen renderer.
 - Fix C renderer plugin example to actually work.

Tests:
 - Massive overall improvements to drop deprecated Vala constructs, unused and
   unreachable code to make it possible to compile them with strict valac.
 - Disable one test for GStreamer media engine.

MediaExport:
 - Implement tracking of changes.
 - Persist ServiceResetToken.
 - Persist systemUpdateID, containerUpdateID and totalDeletedChildCount.
 - Some file renaming to match coding style.
 - Don't try to parse each and every text file.
 - Don't run gst-discoverer on text files.

Docs:
 - Various updates.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=689603
 - https://bugzilla.gnome.org/show_bug.cgi?id=689134
 - https://bugzilla.gnome.org/show_bug.cgi?id=689135
 - https://bugzilla.gnome.org/show_bug.cgi?id=689960
 - https://bugzilla.gnome.org/show_bug.cgi?id=690056

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Murray Cumming <murrayc@murrayc.com>
  Regis Merlino <regis.merlino@intel.com>
  Dr.T.Vasudevan <drtvasudevan@gmail.com>
  Christophe Guiraud <christophe.guiraud@intel.com>

Added/updated translations
 - ta, courtesy of Dr.T.Vasudevan

0.17.4
======

A new unstable release for Rygel

Changes compared to 0.17.3:

- Various documentation fixes.
- Fix .pc file to point to correct version of libgee.
- Hopefully final fix for building with --disable-valadoc.
- Change --with-media-engine=none to =simple.

MediaExport:
 - Add DLNA profile for playlists.
 - Ignore files starting with ".".
 - Handle text/plain to accomodate issues with shared-mime-info and missing
   file extensions.

All contributors to this release:
  Murray Cumming <murrayc@murrayc.com>
  Jens Georg <jensg@openismus.com>

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=689517

0.17.3
======

A new unstable release for Rygel

Changes compared to 0.17.2:

- Really bump Vala requirement as announced in previous version.
- Remove obsolete --enable-test-plugin configure option.
- Don't run tests by default.

Server:
 - Add serialisation of containers to DIDL_S playlist format.
 - Generate thumbnails for native files only.
 - Add support for playlist items.
 - Support DIDL_S DLNA profile.

Doc:
 - Update "Implementing server plugins" docs.
 - Add "Implementing renderer" docs.
 - Some general improvements.

Tracker:
 - Fix building against recent tracker releases.

Renderer:
 - Mark some strings for translation.
 - Add PresetNameList to initial notify.
 - Set correct track numbers.
 - Support DIDL_S playlists.
 - Some state notification fixes.
 - Add GetCurrentTransportActions UPnP call.

Playbin:
 - Add 3GPP mime-type.
 - Properly query duration using DURATION_CHANGED message and really check if
   the pipeline knows its TIME and not just its size.

Examples:
 - C version of the example renderer.

Media-Export:
 - Reenable media art extraction.
 - Fix a critical on harvesting.
 - Fix an upload issue with the method to mark an item as a place-holder.
 - Support playlist items.

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Murray Cumming <murrayc@murrayc.com>
  Krzesimir Nowak <krnowak@openismus.com>
  Mark Ryan <mark.d.ryan@intel.com>

Bugs fixed in this release
  - https://bugzilla.gnome.org/show_bug.cgi?id=686638

Known issues:
 - Transcoding to WMV is not working properly, streams are audio-only.

Changes in dependencies
  - Vala 0.18

0.17.2
======

A new unstable release for Rygel

Changes compared to 0.17.1:

- Fix , unescaping and CSV parsing in UpdateObject call.
- Fix thumbnails for XBox 360.
- Look for the proper device description XML.
- Fix regression that caused missing Content-Length headers.
- More GObject API changes.
- Fix pkg-config files to not include GStreamer dependency.
- Port to libgee-0.8 API
- Remove unneccessary GStreamer dependencies.

MediaExport:
 - Fix regression introduced in 0.17.2 causing empty containers.

Playbin:
 - Only report duration of a file if it's really known.

Examples:
 - C version of the server plug-in.

Media-Engine GStreamer:
 - Port to GStreamer 1.0 API.

Known issues:
 - Transcoding to WMV is not working properly, streams are audio-only.
 - Media art extraction is disabled as it caused crashes/lock-ups.

Changes in dependencies:
 - GUPnP-DLNA 0.7.0 for GStreamer 1.0 support.
 - Necessary versions of GStreamer libs have been bumped to 1.0.
 - Vala version 0.18 for included GStreamer vapis.

0.17.1
======

A new unstable release for Rygel

Changes compared to 0.17.0:

- Many documentation updates.
- Fix random failure of HTTPGetTest.
- Clean-up linking, trying to fix over- and underlinking.
- Adapt to new GUPnP vapi.
- Fix crash if force-downgrade-for is empty.
- Fix a namespace issue in the public API.
- Fix the pkg-config files after API and bump.
- Only create a seek when the client requests seeking.
- Don't search for modules in hidden folders, except .libs to support
  --enable-uninstalled.
- Drop the "test" plugin.
- Switch some of the public members in API to GObject properties.
- Some style fixes.
- Change Device version to MediaServer:3.
- Change Service version to ContentDirectory:3.
- Implement "Track Changes" feature of ContentDirectory:3.
- Add an API for plugins to show capabilities such as upload or change
  tracking.
- Implement UpdateObject in ContentDirectory:3.

Media-Engine GStreamer:
 - Fix a crash in transcoding.
 - Fix a mix-up in DLNA profiles causing upload to fail.
 - Ignore full-range seeks, fixing a transcoding issue with certain versions
   of mpegtsmux.

MediaExport:
 - Don't expose a colorDepth of 0.
 - Allow updating of objects via UPnP call "UpdateObject".

Renderer-Gst:
 - Add convenience method to access GstPlaybin of renderer plug-in.

Examples:
 - Fix service description in SysV init script.
 - Add an example server plugin.
 - Add an example renderer plugin.

External:
 - Support "audio.music" as documented in the spec.

MPRIS:
 - Fix a crash when a peer does not implement mandatory properties.

Playbin:
 - Add mime-types for AAC audio.

Changes in dependencies:
 - GUPnP >= 0.19.0 for new VAPI.
 - GUPnP-AV >= 0.11.2 for XML fragment support.
 - GUPNP-DLNA is optional only when building the GStreamer media engine.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=680496
 - https://bugzilla.gnome.org/show_bug.cgi?id=684868
 - https://bugzilla.gnome.org/show_bug.cgi?id=683934
 - https://bugzilla.gnome.org/show_bug.cgi?id=674738
 - https://bugzilla.gnome.org/show_bug.cgi?id=674738
 - https://bugzilla.gnome.org/show_bug.cgi?id=686018
 - https://bugzilla.gnome.org/show_bug.cgi?id=679023
 - https://bugzilla.gnome.org/show_bug.cgi?id=676024

All contributors to this release:
  Murray Cumming <murrayc@openismus.com>
  Jens Georg <jensg@openismus.com>
  Krzesimir Nowak <krnowak@openismus.com>
  Andreas Henriksson <andreas@fatal.se>
  Mark Ryan <mark.d.ryan@intel.com>

0.17.0
======

A new unstable release for Rygel

Changes compared to 0.16.0:

- Implement notification on configuration changes.
- Fix compatibility issues with newer Reciva firmwares.
- Add missing header, vapi and deps files.
- Make it possible to compile and run Rygel without GStreamer. Please note
  that the functionality is reduced when run without GStreamer. Serveral
  plug-ins are disabled and no transcoding is possible.
- API version is bumped to 2.0.
- .so version is bumped to 1.

Examples:
 - Fix standalone-server example to not return 404 all the time.

Changes in dependencies:
 - Tracker plug-in does not depend on GUPnP-DLNA anymore.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=685183

All contributors to this release:
  Jens Georg <jensg@openismus.com>
  Krzesimir Nowak <krnowak@openismus.com>

0.15.2
======

A new release in Rygel's unstable cycle!

Changes compared to 0.15.2:

- Prevent a critical if the thumbnail for a file does not exist.
- Fix all warnings from newer Vala.
- Let the plugins do the sorting to prevent that we slice before we sort.
- Move the default sort criteria into MediaContainer to allow containers to
  override it if necessary.
- Canonicalize common error messages.
- Add TwoPlayer to V1 downgrades.
- Small refactoring of the V1 handling.
- Fix debug builds.
- Add "description" property to MediaItem.
- Remove misc.vapi.
- Disable installing if --enable-uninstalled was used.

Tracker:
 - Sort browse results using SPARQL.
 - Sort album containers by disc, track and title.

MediaExport:
 - Sort browse and search results using SQL.
 - Fix a crash when a client tried to access a non-existent query container.
 - Sort album containers by disc, track and title.
 - Properly collate query containers.

Mediathek:
 - Extract date and description from RSS feed.
 - Sort by date descending (newest entry first) by default.

Changes in dependencies:
 - Vala 0.16.1 for Posix.execvp.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=661482
 - https://bugzilla.gnome.org/show_bug.cgi?id=668376
 - https://bugzilla.gnome.org/show_bug.cgi?id=652375
 - https://bugzilla.gnome.org/show_bug.cgi?id=639809
 - https://bugzilla.gnome.org/show_bug.cgi?id=681452
 - https://bugzilla.gnome.org/show_bug.cgi?id=680742

All contributors to this release:
  Jens Georg <mail@jensge.org>
  Lukasz Pawlik <lukasz.pawlik@comarch.com>
  Fran Diéguez <fran.dieguez@mabishu.com>
  Мирослав Николић <miroslavnikolic@rocketmail.com>
  Yaron Shahrabani <sh.yaron@gmail.com>
  Nilamdyuti Goswami <nilamdyuti@gmail.com>
  Matej Urbančič <mateju@svn.gnome.org>
  Kentaro KAZUHAMA <kazken3@gmail.com>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

Added/updated translations
 - as, courtesy of Nilamdyuti Goswami
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Leandro Regueiro
 - he, courtesy of Yaron Shahrabani
 - ja, courtesy of Kentaro KAZUHAMA
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

0.15.1
======

A new release in Rygel's unstable cycle!

Changes compared to 0.15.1:

- Fix setting of meta-data in AVTransport.
- Fix compatibility with various new Samsung devices.
- Fix content-range checking.
- Relay meta-data to player instances in AVTransport.
- Fall-back to template description if cached description is not readable.
- Add librygel-core, librygel-server and librygel-renderer.
- Generate documentation for newly created libraries.
- Use GIO for thumbnail requests and don't fail if there's no thumbnail
  directory as tumbler creates that.

MediaExport:
 - Use display_name instead of filename to prevent encoding issues in DIDL.
 - Speed up browsing of virtual folders.
 - Fix upgrade from Rygel 0.6 (be nice to Debian stable users).
 - Fix translation of virtual folders.
 - Massively speed up initial meta-data extraction.

Playbin:
 - Uptime content-types for various XIPH formats.
 - Fix LPCM playback.

External:
 - Don't browse external containers recursively.
 - Guard against empty mandatory properties.

Tracker;
 - Port to libtracker-sparql.
 - Use nfo:fileName as alternative title if nie:title is not available.
 - Remove some dead code.
 - Unify query code.

New dependencies:
 - libtracker-sparql-0.14
 - libunistring (optional)

Bugs fixed:
 https://bugzilla.gnome.org/show_bug.cgi?id=677959
 https://bugzilla.gnome.org/show_bug.cgi?id=677966
 https://bugzilla.gnome.org/show_bug.cgi?id=674542
 https://bugzilla.gnome.org/show_bug.cgi?id=676037
 https://bugzilla.gnome.org/show_bug.cgi?id=661988
 https://bugzilla.gnome.org/show_bug.cgi?id=644491
 https://bugzilla.gnome.org/show_bug.cgi?id=679648

Added/updated translations
 - as, courtesy of Nilamdyuti Goswami
 - bg, courtesy of Alexander Shopov
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Kjartan Maraas
 - sl, courtesy of Matej Urbančič
 - te, courtesy of Hari Krishna
 - zh_HK, courtesy of Chao-Hsiung Liao
 - zh_TW, courtesy of Chao-Hsiung Liao

All contributors to this release:
 Jens Georg <mail@jensge.org>
 Murray Cumming <murrayc@murrayc.com>
 Yaron Shahrabani <sh.yaron@gmail.com>
 Daniel Mustieles <daniel.mustieles@gmail.com>
 Nilamdyuti Goswami <nilamdyuti@gmail.com>
 Matej Urbančič <mateju@svn.gnome.org>
 Luis de Bethencourt <luis@debethencourt.com>
 Kjartan Maraas <kmaraas@gnome.org>
 Fran Diéguez <fran.dieguez@mabishu.com>
 Tom Tryfonidis <tomtryf@gmail.com>
 Sasi Bhushan Boddepalli <sasi@swecha.net>
 Murray Cumming <murrayc@openismus.com>
 Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
 Aurimas Černius <aurisc4@gmail.com>
 Alexander Shopov <ash@kambanaria.org>

0.15.0
======

A new unstable cycle for GNOME 3.6!

Changes compared to 0.14.0:

- Port to Vala 0.16 vapis.
- Use new GMutex/GCond api.
- Use GLib 2.30 Unix signal handling code.
- Parse "Range:" HTTP headers using libsoup functions.
- Fix SinkProtocolInfo generation in SinkConnectionManager.
- Fix URI escaping in AVTransport ChangeLog generation.
- Use the correct XML namespace for upnp:author and upnp:album in
  GetSortCapabilities.
- Use GStreamer presets to set the encoding bitrates in our transcoders.
- Lower the MP3 and MPEG2 bitrates a bit.
- Remove the current AAC transcoder and add a working one.
- Fix state machine transitions in AVTransport.
- Set correct number of tracks and reset when URI is empty.
- Implement GetMediaInfo_Ext.
- Check InstanceID in AVTransport and RenderingControl.
- Use "FactoryDefault" as default RenderingControl preset.
- Update service description files to include the proper allowed values.
- Verify if the URI passed in SetAVTransportURI is accessible and the media
  matches any of the advertised mime types.
- Fix initial LastChange event to include all state variables.
- Fix RecordMedium state variable to return "NOT_IMPLEMENTED".
- Fix serveral error codes in AVTransport.
- Add some checks for "Mute" and "Volume" in RenderingControl.
- Push meta-data, mime type and contentFeatures.dlna.org to the MediaPlayer
  instance.
- Select streamingMode.dlna.org header based on DLNA flags.

IOP:
 - Force version downgrade for devices using the Mediabolic UPnP stack.

Playbin:
 - Fix duration notification
 - Avoid Warning from GStreamer when an empty URI is set.
 - Use "NO_MEDIA_PRESENT" as initial state instead of "STOPPED".

GstLaunch:
 - Add an option to set the DLNA profile of a stream if applicable

Ui:
 - Fix initial set-up.
 - Fix removing autostart file when Rygel is not running.

Changes in dependencies:
 - Vala >= 0.16 for newer vapis
 - glib >= 2.32 for Unix signal handlers and new GMutex/GCond APIs

Bugs fixed in this release:
 https://bugzilla.gnome.org/show_bug.cgi?id=675234
 https://bugzilla.gnome.org/show_bug.cgi?id=674071
 https://bugzilla.gnome.org/show_bug.cgi?id=674733

All contributors to this release:
 Jens Georg <mail@jensge.org>
 Yaron Shahrabani <sh.yaron@gmail.com>
 Sasi Bhushan <sasi@swecha.net>
 Jonh Wendell <jwendell@gnome.org>
 Yuri Myasoedov <omerta13@yandex.ru>
 Matej Urbančič <mateju@svn.gnome.org>
 Marek Černocký <marek@manet.cz>
 Luca Ferretti <lferrett@gnome.org>
 Kentaro KAZUHAMA <kazken3@gmail.com>
 Joe Hansen <joedalton2@yahoo.dk>
 Gil Forcada <gforcada@gnome.org>
 Gabor Kelemen <kelemeng@gnome.hu>
 Fran Diéguez <fran.dieguez@mabishu.com>
 Daniel Nylander <po@danielnylander.se>
 Christian Kirbach <Christian.Kirbach@googlemail.com>
 Bruno Brouard <annoa.b@gmail.com>
 Alexander Shopov <ash@kambanaria.org>

Added/updated translations
 - bg, courtesy of Alexander Shopov
 - ca, courtesy of Joan Duran
 - cs, courtesy of Marek Černocký
 - da, courtesy of Joe Hansen
 - de, courtesy of Christian Kirbach
 - fr, courtesy of Pierre Henry
 - gl, courtesy of Fran Dieguez
 - he, courtesy of Yaron Shahrabani
 - hu, courtesy of Gabor Kelemen
 - it, courtesy of Luca Ferretti
 - ja, courtesy of Kentaro KAZUHAMA
 - pt_BR, courtesy of Jonh Wendell
 - ru, courtesy of Yuri Myasoedov
 - sl, courtesy of Matej Urbančič
 - sv, courtesy of Daniel Nylander

0.13.4
======

A new release in the current unstable release cycle

Changes compared to 0.13.3:

- Add the new logo.
- Don't abort if a client requests an invalid thumbnail or subtitle.
- Don't crash if a GStreamer element is missing.
- Set X_DLNACAP according to the allow-upload/allow-deletion configuration.
- Drop the "maximum version" requirements in configure.ac.
- Revert the ¨npt=0- is not a seek" patch since it broke DLNA requirement
  7.3.33.4.
- Don't crash if a User-Agent contains non-UTF-8 characters.

Mediathek:
 - Reduce severity of a warning message.

Playbin:
 - Emit duration change once the playbin can know it.

Tracker:
 - Refactor alternative properties.

MPRIS:
 - Don't abort if a server doesn't use the proper type for the "Metadata"
   property.

MediaExport:
 - Set proper UPnP class for virtual containers.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=672048
 - https://bugzilla.gnome.org/show_bug.cgi?id=667781

Added/updated translations
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg

All contributors to this release:
 Jens Georg <mail@jensge.org>
 Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
 Piotr Drąg <piotrdrag@gmail.com>
 Lukasz Pawlik <lukasz.pawlik@comarch.com>

0.13.3
======

A new release in the current unstable release cycle

Changes compared to 0.13.2:

- Fix a regression introduced in 0.13.2 that caused the XBox 360 to show empty
  Album, Artist and Genre folders with the Tracker plugin.
- Fix the time-out used on item creation.
- Only ask tumbler to create thumbnails if it's not a remote resource.

Added/updated translations
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

All contributors to this release
 Jens Georg <mail@jensge.org>
 Мирослав Николић <miroslavnikolic@rocketmail.com>
 Matej Urbančič <mateju@svn.gnome.org>

0.13.2
======

A new release in the current unstable release cycle

Changes compared to 0.13.1:

- Work around a reference issue when using vala-0.16.
- Really add the hack for WMP 12.
- Fix XBox 360 showing the same songs multiple times in the "Songs" listing
  when not using MediaExport back-end.
- Drop obsolete gconf dependency.
- Don't crash when loading the same module twice accidently.
- Add tests for ItemCreator class.
- Refactor, document and clean-up ItemCreator class.
- Use supplied <dc:date> in CreateObject call.

Tracker:
 - Revert the change that lets the fs-miner chose the RDF type. This broke
   uploading very badly.
 - Use the item's date when creating a new item.

Bugs fixed:
 https://bugzilla.gnome.org/show_bug.cgi?id=664184
 https://bugzilla.gnome.org/show_bug.cgi?id=669858
 https://bugzilla.gnome.org/show_bug.cgi?id=660477

Added/updated translations
 - cs, courtesy of Marek Černocký
 - es, courtesy of Daniel Mustieles

All contributors to this release:
 Jens Georg <mail@jensge.org>
 Marek Černocký <marek@manet.cz>
 Daniel Mustieles <daniel.mustieles@gmail.com>

0.13.1
======

A new release in the current unstable release cycle

Changes compared to 0.13.0:

- Fix MPEG2 transcoding to not fail due to a typo in the container caps.
- Output debug information about the used transcoding profile.
- Fix AVC transcoding: Framerate and resource resolution.
- Some documentation updates.
- Simplify the RTP depayloader guessing code by using GStreamer functionality.
- Stop leaking HTTPRequests due to a ref cycle.
- Some stability errors and conformance changes.
- Add coverage reports for unittests.
- Increase the coverage of some classes.
- Fix basic search implementation for offset > 0 and limit == 0.
- Add an environment variable to set the time-out for plug-in loading to help
  when running in valgrind.

IOP:
 - More refactoring: Version downgrade is not longer bound to the XBox 360
   hacks and configurable. That makes the ugly trailing colon disappear for
   devices that are not a XBox 360 but still need the downgrade.
 - Add hacks for XBMC which has problems to play AAC/M4A files shared with the
   "correct" DLNA mime-type.
 - Fix Slideshow option in XBox 360 when called from top-level image browser.
 - If a time-seek requests everything, just ignore that it's a seek.
 - Add a file extension to all served URIs to help those devices that need
   them.
 - Fix an issue where Windows Media Player 12 only showed the first 200 items.

UI:
 - Minor clean-up and polishing.
 - Tooltips.

Tracker:
 - Get rid of work-around for gnome-bug 623685

MediaExport:
 - Fix a regression in the file monitor that caused moved files to be missed.
 - Update the documentation to clarify how to enter URIs in the configuration
   file.
 - Fix an endless loop when adding media to an empty but watched directory.
 - Delay the creation of the virtual folder hierarchy until the initial walk
   is done.

Mediathek:
 - Update the documentation on how to configure it and distribute those.

MPRIS:
 - Add possibility to disable the whole module.

External:
 - Don't crash if the D-Bus server doesn't behave as specified when sending
   updates.
 - Transcoding/Proxying if the uri contained the @ADDRESS@ template
 - Fix icons; it was still using the MediaItem1 interface.
 - Update child count properly if container changes.
 - Add possibility to disable the whole module.

Changes in dependencies:
 - Require Vala 0.14.1 for GStreamer VAPI fixes.

Bugs fixed:
 https://bugzilla.gnome.org/show_bug.cgi?id=659432
 https://bugzilla.redhat.com/show_bug.cgi?id=759206
 https://bugzilla.gnome.org/show_bug.cgi?id=666363
 https://bugzilla.gnome.org/show_bug.cgi?id=644538
 https://bugzilla.gnome.org/show_bug.cgi?id=668335
 https://bugzilla.gnome.org/show_bug.cgi?id=663826
 https://bugzilla.gnome.org/show_bug.cgi?id=653120
 https://bugzilla.gnome.org/show_bug.cgi?id=663631
 https://bugzilla.gnome.org/show_bug.cgi?id=669677
 https://bugzilla.gnome.org/show_bug.cgi?id=669680

Updated/Added translations:
 - es, courtesy of Daniel Mustieles
 - fr, courtesy of Alexandre Franke
 - ja, courtesy of Jiro Matsuzawa
 - pl, courtesy of Piotr Drąg

All contributors to this release:
 Jens Georg <mail@jensge.org>
 Marcin Kazmierczak <marcin.kazmierczak@comarch.com>
 Krzesimir Nowak <qdlacz@gmail.com>
 Piotr Drąg <piotrdrag@gmail.com>
 Lukasz Pawlik <lucas.pawlik@gmail.com>
 Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
 David King <amigadave@amigadave.com>
 Daniel Mustieles <daniel.mustieles@gmail.com>
 Alexandre Franke <alexandre.franke@gmail.com>


0.13.0
======

The beginning of a new unstable release cycle.

Many of the commits in this release already have been released in one of
our stable 0.12.x versions. A list of all changes that already were released
is available in the stable branch's NEWS file:

http://git.gnome.org/browse/rygel/tree/NEWS?h=RYGEL_0_12_5

Changes compared to 0.12.5:

- Use context-less API from gupnp-0.18.
- Switch to .xz tarballs as default.
- Get rid of a nested MainLoop in HTTP POST handling that caused a lot of
  trouble with vala's async support.
- Refactor ClientHacks into a generic part and XBox support.
- Add a hack for Panasonic TVs that can only handle PNG thumbnails if you
  tell them they're JPEG.
- Always build and run tests when using autogen.sh.
- Write uploaded data to a temporary hidden file first and move to real file
  later, helping file monitors to only create a single event.
- Add a 128x128 version of the icon.
- Move the 48x48 JPEG icon and 120x120 icons necessary for DLNA out of the
  icon theme.
- Drop XML comments from the content description files which might cause
  issues in IOP.
- Stabilize the error handling in HTTP POST.
- Clean-up GTK+ checks in configure.ac.
- Only pass -g to valac when --enable-debug was passed.
- More robust transcoding on faulty input.
- Clean-up and refactor audio- and video-transcoders.
- Clean-up RTP depayloader guessing.
- Fix deadlock on Ctrl-C.
- Fix a crash on filesystem error while uploading.

- MediaExport:
  - Refactor and clean QueryContainer.
  - Use proper UPnP classes like object.container.album.musicAlbum for virtual
    folders.
  - Support audio-less videos.

- Mediathek:
  - Set proper DLNA profile on the WMV streams.

- Playbin:
  - Add support for image/jpeg and image/png.

- Tracker:
  - Fix querybuilder for graphed statements.
  - Let tracker-fs-miner override properties and chose the proper RDF type
    for an uploaded file.
  - Cache ContainerUpdateIDs for metadata-based containers.

- Bugs fixed in this release:
  gnome:660107 - Mediathek HTTP proxy URL doesn't have a DLNA profile for WMV
  gnome:661336 - No thumbnails for Panasonic
  gnome:637226 - rygel installs 120x120 icons, instead of 128x128

- All contributors to this release:
  - Jens Georg <mail@jensge.org>
  - Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
  - Grzegorz Grabowski <grzegorz.grabowski@comarch.com>
  - Mario Blättermann <mariobl@gnome.org>
  - Marek Černocký <marek@manet.cz>
  - Matej Urbančič <mateju@svn.gnome.org>
  - Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
  - Jorge González <jorgegonz@svn.gnome.org>

- Added/updated translations:
  - de, courtesy of Mario Blättermann
  - sl, courtesy of Matej Urbančič
  - cz, courtesy of Marek Černocký
  - eo, courtesy of Kristjan SCHMIDT
  - es, courtesy of Jorge González


0.11.3
======

Another release in the unstable release cycle.

Changes since 0.11.2:

- Dependency-related changes:
  - Bump GStreamer version to 0.10.35 for important encodebin fixes.
  - Bump Vala version to version 0.14.
  - Bump libsoup maximum version.

- Fixed an abort if the client requested chunks of data being too small.
- Fix memory leaking related to file upload.
- Work-around a crash when the service description file is invalid.
- Make rygel a single-instance app. If a new instance is started, the old
  instance will be shut down. This is likely to be reveresed in a future
  release.
- Fix an UPnP compatibility regression.
- Fix resolution and framerate for MPEG_TS_HD_NA_ISO transcoder.
- Adapt to changes in upcoming vala-0.14
- Allow UPnP class generalization on upload to DLNA_ORG.AnyContainer.
- Add transcoders for AAC_ISO_320 and AVC_MP4_BL_CIF15_AAC_520. Note that both
  are disabled by default since GStreamer has some issues with these
  pipelines.

- IOP:
  - Fix IOP with XBox 360's music browsing.
  - Fix IOP with Samsung Galaxy S.
  - Fix IOP with Allegro clients.

- Tracker:
  - Properly escape meta-data strings.
  - Update search containers if tracker content changes.
  - Fix wrong search result when "exists true" was searched for artist, album
    and genre.
  - Implement @refID.
  - Add an option to share only those files that have a nmm:dlnaProfile set.

- MediaExport:
  - Refactor database access code.

All contributors to this release:
  - Jens Georg <mail@jensge.org>
  - Luis de Bethencourt <luis.debethencourt@collabora.com>
  - Daniel Mustieles <daniel.mustieles@gmail.com>
  - Мирослав Николић <miroslavnikolic@rocketmail.com>
  - Yuri Myasoedov <omerta13@yandex.ru>
  - Thijs Vermeir <thijsvermeir@gmail.com>
  - Mario Blättermann <mariobl@gnome.org>
  - Marek Černocký <marek@manet.cz>
  - Kjartan Maraas <kmaraas@gnome.org>
  - Andrej Žnidaršič <andrej.znidarsic@gmail.com>

Added/updated translations
  - cs, courtesy of Marek Černocký
  - de, courtesy of Mario Blättermann
  - es, courtesy of Daniel Mustieles
  - nb, courtesy of Kjartan Maraas
  - ru, courtesy of Yuri Myasoedov
  - sl, courtesy of Andrej Žnidaršič
  - sr, courtesy of Мирослав Николић
  - sr@latin, courtesy of Miroslav Nikolić

- UPnP requirements addressed:
  - UPnP CTT 2.0 cases AV-CD:1-4.1

- DLNA requirements addressed:
  - 7.3.66.3
  - 7.3.120.4
  - 7.3.136.1
  - 7.3.136.4

- Bugs fixed:
  bgo#629582 - MediaServer doesn't work with Samsung Galaxy S
  bgo#654833 - compiler warning in media-export plugin

0.11.2
======

Another release in the unstable release cycle.

Changes since 0.11.1:

- Fix regression introduced in 0.11.1 which made tracker plugin fail to
  start.
- Add commandline options -c, --config to override the user
  configuration file.
- Add a config file options to override the upload directories.
- Use proper UPnP service description syntax.
- Tracker:
  - Clean-up left-over place-holder items on plugin start-up.

All contributors to this release:
  - Jens Georg <mail@jensge.org>
  - Topi Santakivi <topi.santakivi@digia.com>
  - Matej Urbančič <mateju@svn.gnome.org>
  - Marek Černocký <marek@manet.cz>
  - Jorge González <jorgegonz@svn.gnome.org>

Added/updated translations
  - cs, courtesy of Marek Černocký
  - es, courtesy of Jorge González
  - sl, courtesy of Matej Urbančič

- UPnP requirements addressed:
  - UPnP CTT 1.5 cases 1.x.y.z.

- DLNA requirements addressed:
  - 7.3.139.1
  - Improved robustness for the CreateObject tests.

0.11.1
======

Another release in the unstable release cycle.

This is mostly a comatibility release to be able to build against latest
unstable releases of GSSDP & GUPnP.

Changes since 0.11.0:

- Fix warnings and critical messages when Rygel is run without a DBus session
  bus available.
- Modify XBox support to not disturb UPnP conformance.
- Bump required minimum versions of GSSDP, GUPnP, GUPnP-AV and GUPnP-Vala.
- Implement upnp:searchClass.
- Several improvements to SOAP action parameter validation.
- MediaExport:
  - Add APE to the supported media formats.

All contributors to this release:
  - Jens Georg <mail@jensge.org>
  - Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
  - Topi Santakivi <topi.santakivi@digia.com>
  - Andrej Žnidaršič <andrej.znidarsic@gmail.com>
  - Mario Blättermann <mariobl@gnome.org>

Dependency-related changes:
- Bump GSSDP requirement to 0.11.0
- Bump GUPnP requirement to 0.17.0
- Bump GUPnP-AV requirement to 0.9.0
- Bump GUPnP-Vala requirement to 0.9.0

- UPnP requirements addressed:
  - UDA-1.1.1
  - UDA-1.1.2
  - UDA-1.1.3
  - UDA-1.1.4
  - UDA-3.1.3
  - UDA-4.2.2
  - AV-CD:1-6.1
- DLNA requirements addressed:
  - 7.3.67.4
  - 7.3.134.1

Updated translations:
  - de, courtesy of Mario Blättermann.
  - sl, courtesy of Andrej Žnidaršič.

0.11.0
======

This release marks the beginning of a new unstable release-cycle which will
eventually be integrated into GNOME 3.2. Changes since 0.10.2:

- Serve video thumbnails to XBox 360
- Change ImportResource not to use GVFS
- Validate passed sort criteria string
- More validation and robustness of input arguments for actions
- Complete supported formats for TimeSeekRange parsing
- Ignore unknown commandline options and print help string when
  encountering those
- Make sure an uploaded file is closed after HTTP POST
- Several fixes related to seeking
- Add restrictions to correct transfer modes
- MediaExport:
  - Wait for filesystem events to settle before harvesting new files
  - General code clean-up, especially in the file monitor
  - Add option to disable file monitoring
  - Add more exotic media to be harvested:
    - .mpc/.mpc: MusePack
    - .wv: WavPack
    - .aac: Stand-alone AAC (raw/ADTS)
    - .mp2: MPEG 1, Audio Profile 2
    - .webm: WebM video files
    - .mka: Audio in a Matroska file
  - Ignore unknown file from discoverer
- Tracker:
  - Print the used upload directories
  - Use D-Bus filtering for GraphUpdated, be waken much less by tracker
  - Support adding of existing but non-indexed files as well as general
    objects with all kinds of URIs through the CreateObject call
  - Generally rework the handling of place holder items which are uploaded
    later by the Content-Directory
  - Set item size in the tracker-miner graph

All contributors to this release:
  - Jens Georg <mail@jensge.org>
  - Topi Santakivi <topi.santakivi@digia.com>
  - Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
  - Muhammet Kara <muhammet.k@gmail.com>
  - Marek Černocký <marek@manet.cz>
  - Luis de Bethencourt <luis.debethencourt@collabora.co.uk>
  - Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
  - Lê Trường An <xinemdungkhoc1@gmail.com>
  - Jorge González <jorgegonz@svn.gnome.org>
  - Gabriel F. Vilar <cogumm@gmail.com>
  - Daniel Mustieles <daniel.mustieles@gmail.com>
  - Andrej Žnidaršič <andrej.znidarsic@gmail.com>

- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Bump libsoup requirements

Bugs fixed in this release:

bgo#651965 - Rygel Uses 100% CPU while working on an incomplete MKV file

- UPnP requirements satisfied:
  - AV-CD:1-4.2
  - AV-CD:1-4.3
  - AV-CD:1-9.1
  - AV-CD:1-11.1
  - AV-CD:1-12.1
  - AV-CM:1-5.1
- DLNA requirements satisfied:
  - 7.3.128.7
  - 7.4.31.2
  - 7.4.38.6
  - 7.4.40.3
  - 7.4.40.8
  - 7.4.49.4
Added/updated translations:
  - cs, courtesy of Marek Černocký
  - es, courtesy of Daniel Mustieles
  - pt_BR, courtesy of Gabriel F. Vilar
  - sl, courtesy of Andrej Žnidaršič
  - tr, courtesy of Muhammet Kara
  - vi, courtesy of Lê Trường An

0.10.2
======

A new release in the stable 0.10.x series for GNOME 3.0. Changes since 0.10.1:

- Fix sorting on dates without time
- Fix MediaExport plugin skipping m4a files
- Fix serving of album art
- Fix an assertion when harvesting files still being downloaded
- Don't entity-quote UTF-8 characters
- Fix a hidden potential crasher with vala async functions

Bugs fixed in this release:

648486 - Rygel doesn't show up in Samsung PS50C77 TV

All contributors to this release:

Jens Georg <mail@jensge.org>

0.10.1
======

A new release in the stable 0.10.x series for GNOME 3.0. Changes since 0.10.0:

- Fix severe performance regression introduced in 0.9.9
- Fix a crash on corrupt files
- Generate ChangeLog from git on make dist

All contributors to this release:

Jens Georg <mail@jensge.org>

0.10.0
======

The first release in the new stable 0.10.x series for GNOME 3.0. Changes since
0.9.9:

- More user-friendly short description. Downstream integrators might want to
  update their packages (check README).
- Simplified transcoding by use of new 'encodebin' GStreamer element. This also
  implies fixing of MPEG TS transcoder to work with recent GStreamer (plugins).
- Much more consistent and simpler HTTP stream handling by increased reliability
  on GStreamer.
- Many fixes and improvements to HTTP streams.
- More robust tests for HTTP streams.
- Fix .po files being all uppercase.
- Don't crash if log_domain is unset.
- Apply Xbox hacks on Philips DLNA TV.
- Time seek header must be locale-independent.
- Correct supported SeekMode values.
- Support 'background' mode for all streams.
- More complete DOAP file.
- Don't offer audio transcoding for videos.
- Expose 'dc:date' for items when available.
- Add some more check.
- Add support for 'refID' attribute. Although currently no plugin uses this, we
  are already adding this basic support to satisfy DLNA.
- Throw error if 'dlnaManaged' attribute or wrong DLNA profile is provided in an
  item creation request.
- Throw error with correct code on creation of item of wrong class.
- Prevent a crash in 'ImportResource' action handling.
- Report slightly more accurate time seek range.
- Don't error out on attempt to delete an inexistent file.
- MediaExport:
  - Avoid crawling $HOME by default.
  - Query user folders only once.
  - Remove huge cache directive.
  - Implement search by duration.
  - Properly cancel the file monitor.
  - Fix crash on file removal.
- Tracker:
  - Mark newly added items as available.
  - Set 'nie:contentCreated' on created items.
  - Take mime-type from gupnp-dlna to work-around bug#647575.
  - Properly escape regular expression in title containers.
  - Create a unique URI for new items.
  - Mark resources we created as ours.
- More DLNA requirements satisfied:
  - 7.3.25.1
  - 7.3.50.1
  - 7.3.67.1
  - 7.3.133.6
  - 7.3.134.3
- Localization:
  - Add more translations:
    - Bengali India translation
    - Indonesian translation
    - Latvian translation
  - Translation updates:
    - Japanese
    - Russian
    - French
    - Korean
    - Slovenian
    - Norwegian bokmål
    - Swedish
    - Bulgarian
    - Thai
    - Simplified Chinese
    - Kannada
    - Catalan
    - Portuguese
    - British English
    - Polish
    - Czech
    - Romanian
    - German
    - Galician
    - Hungarian
    - Serbian
    - Dutch
    - Spanish
    - UG
- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require gst-plugins-base.
- Require gstreamer-pbutils.

Bugs fixed in this release:

647551 - Improperly escaped regexes in tracker plugin
643854 - Rygel is not shown as media source on a Philips TV
644985 - TimeSeekRange.dlna.org HTTP header is locale dependent
645159 - PS3 doesn't recognize transcoded MP3 content

All contributors to this release:

Jens Georg <mail@jensge.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Luis de Bethencourt <luis@debethencourt.com>
Topi Santakivi <topi.santakivi@digia.com>
Abduxukur Abdurixit <abdurixit@gmail.com>
Akom Chotiphantawanon <knight2000@gmail.com>
Alexander Shopov <ash@kambanaria.org>
Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Aron Xu <aronxu@gnome.org>
Bruce Cowan <bruce@bcowan.me.uk>
Bruno Brouard <annoa.b@gmail.com>
Changwoo Ryu <cwryu@debian.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Nylander <po@danielnylander.se>
Dirgita <dirgitadevina@yahoo.co.id>
Duarte Loreto <happyguy_pt@hotmail.com>
Fran Diéguez <fran@openhost.es>
Gabor Kelemen <kelemeng@gnome.hu>
Joan Duran <jodufi@gmail.com>
Kentaro KAZUHAMA <kazken3@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mariobl@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Runa Bhattacharjee <runab@redhat.com>
Shankar Prasad <svenkate@redhat.com>
Wouter Bolsterlee <wbolster@gnome.org>
Yuri Myasoedov <omerta13@yandex.ru>
Мирослав Николић <miroslavnikolic@rocketmail.com>

0.9.9
=====

A new release in the current unstable 0.9.x series for upcoming GNOME 2.91.90
release.

- Define separate log domains for core and each plugin.
- Improved log output control: We now allow you to specify log levels separately
  for each log domain.
- HTTP Connection stalling supported for ALL streams.
- Entertain priority in GStreamer-based HTTP streams.
- Rename 'upnp_enabled' in configuration to 'upnp-enabled'.
- Add section about MPRIS plugin to manpage.
- Several fixes/improvements to manpages.
- Fix some environment variables' names.
- Use both user & system configuration. So far, we have been ignoring the system
  configuration file when the user configuration file exists. This leads into
  problems whenever our configuration keys change. Now we load configuration
  from both sources and get the config value from system configuration if user
  configuration doesn't offer a value for it.
- Use 'data' directory in source tree as the system config location when
  configured to run uninstalled.
- Configure option to enable fatal valac warings. Also make this default when
  running autogen.sh.
- Make configure --help less ugly.
- Make use of modern autotools.
- Show VALA flags in configure summary.
- Remove special configure flag to enable maemo configuration as it should just
  be the default in maemo-specific branch.
- Clear the ChangeLog file content.
- UI:
  - Trim-down the UI to only provide options that end-user needs.
  - Use the correct key for 'UPnP enabled' option.
  - All widgets must be disabled when sharing is.
  - Option to use 'any' network.
- MediaExport:
  - Hide empty virtual folders.
  - Don't keep empty containers in DB.
  - More debug output.
- Tracker:
  - Only share available files: As tracker also indices removable media we need
    to filter out those files that are currently unavailable.
- Localization:
  - Add Kannada translation.
  - Update UG translation.
  - Update German translation.
  - Update UK translation.
  - Update Gujarati translations.
  - Update Ukranian translation.
  - Update Hebrew translation.
  - Update Norwegian bokmål translation.
  - Update Spanish translation.
  - Update Estonian translation.
- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require & adapt to Vala 0.11.6
- Explicitly require gssdp >= 0.9.2

Bugs fixed in this release:

641882 - 0.9.8 does not build

All contributors to this release:

Jens Georg <mail@jensge.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Luis de Bethencourt <luis@debethencourt.com>
Abduxukur Abdurixit <abdurixit@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Ivar Smolin <okul@linux.ee>
Jorge González <jorgegonz@svn.gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Mario Blättermann <mariobl@gnome.org>
Shankar Prasad <svenkate@redhat.com>
Sweta Kothari <swkothar@redhat.com>
Yaron Shahrabani <sh.yaron@gmail.com>

0.9.8
=====

Another micro release that fixes the broken Vala check.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.9.7
=====

A new release in the current unstable 0.9.x series for upcoming GNOME 2.91.6
release.

- Ability to bind to specific networks.
- Prevent possible crash on SIGINT.
- Remove encoding information from .desktop file.
- Fix build against Vala 0.11.4.
- Don't initialize/create disabled plugin.
- Explicitly unregister D-Bus service on shutdown.
- Mediathek:
  - Don't block the rest of rygel while waiting on network.
  - Plug libXml memory leaks.
  - Workaround for bgo#639702.
  - Make update-interval configurable.
  - Add option to choose between H.264 and WMV videos.
- Localization:
  - Update Bulgarian translation.
  - Update Greek translation.
  - Update Traditional Chinese translation (Hong Kong and Taiwan).
  - QA of Galician translations.

Dependency-related changes:

- Require gupnp-vala >= 0.7.5

Bugs fixed in this release:

638269 - Mediathek plugin breaks streaming during update
639534 - Remove encoding info from .desktop file
639738 - build failure: rygel-item-creator.vala: error: syntax error, expected
         method call

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Alexander Shopov <ash@kambanaria.org>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Fran Diéguez <fran.dieguez@mabishu.com>
Marios Zindilis <m.zindilis@dmajor.org>
radykal <radykal_dj@hotmail.com>

0.9.6
=====

Another micro release to mainly fix a critical bug in 0.9.5. Other changes:

- Correct meaning for 'upnp_enabled' configuration option. Its now set to 'true'
  by default and if you set this to 'false' and run rygel, you can still stream
  media (currently only over HTTP) from it.
- Add option to disable UPnP to all configuration sources.
- Environment variables for boolean options now follow general unix conventions.
- Localization:
  - New partial translation for Afrikaans (af).

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Friedel Wolff <friedel@translate.org.za>

0.9.5
=====

Changes since 0.9.4:

- Only advertize searchable containers as such.
- Do not execute search in non-searchable containers.
- Only refuse to advertise a transcoder for an item if it's DLNA profile
  is the same as that of the item in question.
- Don't wait for new item if its already available under the container.
- Add timeouts to container update waiting code.
- Sort in ascending order by default. I had gotten the idea of ascending and
  descending reversed in my head so ended-up sorting by title in wrong order.
- Empty sort criteria in browse/search requests means no sort criteria.
- Use shorter HTTP URLs.
- Add support for search of media containers by their child count.
- Delay addition of child containers to actual (exposed) hierarchy until they
  produce some offspring. Very often it happens that we don't have enough
  metadata available to populate our hierarchies and we end-up exposing empty
  containers. Not only its contrary to user's expectations but apparently DLNA
  CTT isn't able to digest them.
- Move magic '@ADDRESS@' substitution from external plugin to core so all
  plugins can use it.
- If the root container of a MediaServer plugin is empty, deactivate the plugin
  until the situation changes.
- Tracker:
  - Add title-based hierarchies: One container for each unique starting
    character of all the titles available for the contegory in question.
  - Add "New" container: Under each category container, add a child container
    that lists all items of that category that were added (to tracker-store)
    less than 3 days ago.
  - Use property function for sorting. Tracker claims to be more efficient when
    using property functions instead of variables.
- MediaExport:
  - More reliable fallback extraction.
  - Speed-up browse and search handling.
- Localization:
  - Add Vietnamese translation.
  - Update Slovenian translation.
  - Update Norwegian bokmål translation.
  - Update Estonian translation.
  - Update Hebrew translation.
  - Update Spanish translation.
  - Update UG translation.
  - Update Czech translation.
  - Update Swedish translation.
  - Update Punjabi Translaiton.
  - Update Galician translation.
- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require & adapt to gupnp-dlna >= 0.5.
- Require gupnp-vala >= 0.7.2.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Arun Raghavan <arun.raghavan@collabora.co.uk>
Sunil Mohan Adapa <sunil@medhas.org>
A S Alam <aalam@users.sf.net>
Daniel Nylander <po@danielnylander.se>
Gheyret T.Kenji <gheyret@gmail.com>
Ivar Smolin <okul@linux.ee>
Jorge González <jorgegonz@svn.gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Petr Kovar <pknbe@volny.cz>
Yaron Shahrabani <sh.yaron@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Marek Cernocky

0.9.4
=====

A new release in the current unstable 0.9.x series for upcoming GNOME 2.91.3
release.

- After adding a new item in a container, wair for it to actually appear under
  the container in the hierarchy. This is needed to satisfy DLNA CTT testcase
  7.3.26.4,5.
- Wait for updated signal from the parent container after pushing content to a
  child item before returning an 'OK' to the client. This is needed to satisfy
  the bogus check at the end of the DLNA CTT testcase 7.3.136.4.
- If the template device description was modified after cached description was
  modified/created, use the template device description. Without this change,
  user had to manually remove the cached description documents each time we
  modified the templates.
- Only set dlnaManaged flags if any of the contained flag is set. This is
  needed to comply with DLNA requirements 7.3.118.2-3.
- Use correct resolution for MPEG_TS_SD_EU_ISO transcoded streams.
- Remove now redundant vala work-arounds.
- MediaExport:
  - Fix update signal emission.
  - Disable plugin on error during it's initialization.
  - Only on-disk container should be marked as writable. That excludes both
    special containers like "Filesystem" and virtual/metadata containers.
  - Optimize searches by preventing a full-table scan and custom function.
- Tracker:
  - Adapt to new update signals API.
  - Handle update signals (only) in All* containers. In these containers we can
    easily know if the update affect the container or not. This is is not true
    for other containers and we end-up launching a lot of redundant Tracker
    queries and network traffic.
  - Keep a single hierarchy for all network interfaces to reduce resource
    consumption.
- Localization:
  - Update Simplified Chinese translation.
  - Update Thai Translation.
  - Update Romanian translation.
  - Update UG translation.
  - Update Hebrew translation.
  - Update Estonian translation.
  - Update Galician translations.
- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require vala 0.11.2.

Bugs fixed in this release:

635957 - Typo in copyright year in some source files.
635598 - Rygel 0.8.x does not remove deleted files.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Aron Xu <aronxu@gnome.org>
Akom Chotiphantawanon <knight2000@gmail.com>
Gheyret T.Kenji <gheyret@gmail.com>
Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Daniel Șerbănescu <cyber19rider@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Ivar Smolin <okul@linux.ee>
Yaron Shahrabani <sh.yaron@gmail.com>

0.9.3
=====

Another micro release to fix the build against gtk+-3.0. Other changes:

- Ability to enable/disable upload of media.
- Ability to enable/disable deletion of media.
- Localization:
  - Update Spanish translation.

Dependency-related changes:

- Drop support for gtk+-2.0 and require gtk+-3.0.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.9.2
=====

A new release in the current unstable 0.9.x series for upcoming GNOME 2.91.2
release.

- Add support for destruction of media objects.
- Implement DLNA's 'auto-destroy' requirement.
- Set dlnaManaged attribute on DIDL-Lite objects. This along with some other
  recent changes, allows us to pass the following DLNA CTT testcases:
  - 7.3.118.2,3
  - 7.3.121.1
  - 7.3.139.1
- Sort Search and Browse results alphabetically (in descending order) by title
  when no sorting criteria is specified by the client.
- Use URI when provided in item creation requests.
- There is no need to actually create the file for new items. The file will
  automatically be created when/if contents are copied to the new empy item.
- Only allow pushing content to our own items that are place-holder (empty).
- Remove redundant call to Gst.init().
- Unique short commandline argument for disabling WMV transcoding.
- Make use of new gupnp-av APIs.
- Port to vala 0.11.1 and 0.11.2.
- Tracker:
  - Tracker keeps the size set by us originally even after the size changes. A
    simple work-around is to just not set the size if its an empty file.
  - Save title when adding item to store.
  - Update container upon item addition.
- MediaExport:
  - Export media even if metadata extraction fails for it.
  - Improved debug log.
- MPRIS:
  - Fix service destination.
- Localization:
  - Add Catalan (Valencian) translation.
  - Add Thai translation.
  - Update British English translation.
  - Update Simplified Chinese translation.
- Many other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require vala >= 0.11.1.
- Require gupnp-av & gupnp-vala >= 0.7.0.

0.9.1
=====

A new release in the current unstable 0.9.x series for upcoming GNOME 2.91.1
release.

- Don't assume user's config folder to be present everywhere. This assumption is
  only true for modern (free)desktops and fails us badly on headless machines.
- Properly require automake 1.11.
- Custom rule to remove .stamp files to enforce rebuild from vala sources.
- Destroy the device list before quiting main loop. For some reason, the SSDP
  'BYE' message doesn't get sent out for all devices before rygel exits. This
  change makes sending of these packet a lot more (could actually be 100%)
  reliable.
- Tracker:
  - Make sure we only expose items that are either explicity marked to be shared
    over UPnP network or not marked at all.
  - Assume UPnP-created items to be shared. We create items on demand from UPnP
    clients so its logical to assume that the client would want it to be
    available on the UPnP network immediately after their creation.
  - Some non-functional changes.
  - URI escape metadata titles for IDs to correctly handle titles that have
    charachters like ',' and ':' in them.
- Localization:
  - Update Slovenian translation.
  - Update Korean translation.
  - Update Estonian translation.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Changwoo Ryu <cwryu@debian.org>
Ivar Smolin <okul@linux.ee>
Jorge González <jorgegonz@svn.gnome.org>
Matej Urbančič <mateju@svn.gnome.org>

0.9.0
=====

This release marks the start of the new unstable release-cycle. This is also the
release cycle that will be integrated into GNOME 3. Changes since 0.7.8 that
were not present in subsequent stable (0.8.x) releases:

- Port from dbus-glib and GValue usage to GDBus and GVariant.
- Do not offer HTTP GET/HEAD URIs for place-holder (0-sized) items. This is
  needed to avoid crashes when a newly created item is fetched before the client
  pushes any contents to it.
- Hack XBox search for upnp:class to make it happy.
- Direct XBox's genre search to root container.
- Set item's size on creation.
- Always set VAPIDIR to ${datadir}/vala/vapi.
- Tracker:
  - Add 'Genre' hierarchy.
  - Provide specific UPnP class for artist and album containers so that they
    could be searched by this property. This fixes music browsing on XBox 360.
  - Fix item ID creation logic.
  - Optimize handling of invalid searches and in turn searches in general.
  - Improved handling of search by "upnp:class".
  - Unknown size means size of 0.
  - Expose more information for music items:
    - sample rate
    - number of channels
    - bits per sample
    - bitrate
- MediaExport:
  - Proper default values for item metdata. This fixes the misterious "0" Album
    and Artist on XBox.
  - Handle requests for audio and image item types, not just music and pictures.
- Localization:
  - Add Brazilian Portuguese translation.
  - Add Catalan translation.
  - Add Italian translation.
  - Update Traditional Chinese translation (Hong Kong and Taiwan).
  - Update simplified Chinese translation.
  - Update Estonian translation.
  - Update Danish translation.
  - Update Bulgarian translation.
  - Update Czech translation.
  - Update Galician translations.
  - Update Hebrew translation.
  - Update French translation.
  - Update Hungarian translation.
  - Update Japanese translation.
  - Update Polish translation.
  - Update Dutch translation.
  - Update Greek translation.
  - Update Lithuanian translation
- Some other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require gio >= 2.26.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Aron Xu <aronxu@gnome.org>
Bruno Brouard <annoa.b@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Djavan Fagundes <djavan@comum.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Gil Forcada <gforcada@gnome.org>
Ivar Smolin <okul@linux.ee>
Joan Duran <jodufi@gmail.com>
Kenneth Nielsen <k.nielsen81@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mariobl@gnome.org>
Mattias Põldaru <mahfiaz gmail com>
Milo Casagrande <milo@ubuntu.com>
Piotr Drąg <piotrdrag@gmail.com>
Rosi Dimova <pocu@bk.ru>
Simos Xenitellis <simos@gnome.org>
Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Yaron Shahrabani <sh.yaron@gmail.com>
Žygimantas Beručka <zygis@gnome.org>

0.7.8
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.31.92
release.

- If the client didn't pass a Range header in the request, don't append
  Accept-Ranges and Content-Range headers to response. This fixes picture
  browsing on XBox 360 (again).
- Don't put empty nodes in device description.
- Use '\r\n' instead of '\n' in XML files. Some UPnP devices in the market are
  apparently unable to handle the unix EOL character so we better provide the
  XML files in DOS format.
- MediaExport:
  - Fix an assertion failure.
- Localization:
  - Remove markup from a translatable string in preferences UI.
  - Don't build translatable strings by substitution.
  - Prefer the term 'folder' over 'directory' in translated strings.
  - Miscellaneous string fixes.
  - Don't translate debug messages.
  - Add Serbian translation.
  - Add Korean translation.
  - Add Japanese translation.
  - Add Hungarian translation.
  - Update Spanish translation.
  - Update Galician translation.
  - Update British English translation.
  - Update Hebrew translation.
  - Update Norwegian bokmål translation.
  - Update Tamil translation.
  - Update Slovenian translation.
  - Update Swedish translation.
  - Update Punjabi translation.
  - Update French translation.
  - Update Polish translation.
  - Update Greek translation.
  - Update Czech translation.
  - Update Portuguese translation.
  - Update German translation.

Bugs fixed in this release:

626196 - OPPO DBP-80/83
629348 - Do not mark debug messages for translation

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Philip Withnall <philip@tecnocode.co.uk>
Andrej Žnidaršič <andrej.znidarsic@gmail.com>
A S Alam <aalam@users.sf.net>
Bruce Cowan <bruce@bcowan.me.uk>
Christian Kirbach <Christian.Kirbach@googlemail.com>
Claude Paroz <claude@2xlibre.net>
Daniel Nylander <po@danielnylander.se>
drtv <vasudeven@git.gnome.org>
Duarte Loreto <happyguy_pt@hotmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Homin Lee <ff4500@gmail.com>
Jorge González <jorgegonz@svn.gnome.org>
Kentaro KAZUHAMA <kazken3@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Michael Kotsarinis <mk73628@gmail.com>
Petr Kovar <pknbe@volny.cz>
Piotr Drąg <piotrdrag@gmail.com>
Tomasz Dominikowski <dominikowski@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Милош Поповић <gpopac@gmail.com>
Marek Cernocky
Gabor Kelement

0.7.7
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.31.91
release.

- Add manpages for rygel and rygel.conf.
- Add support for search by album and artist.
- Don't advertize support for search by '@refID' as we don't really support
  and use it at all.
- Drop support for search by 'res' and 'res@protocolInfo'. Since we didn't
  handle proxy and transcoding resources this gave wrong impression to the
  clients and was causing rygel to fail DLNA test cases.
- Don't error out on empty search results.
- Error out on HTTP request for invalid transfer mode.
- Fix typo in serialization of "upnp:createClass".
- Case-insensitive string comparisons.
- 'TransferIDs' state variable should list IDs for all transfers we have, even
  the ones that are complete.
- Correct sending of error to client when import of resource fails.
- Make sure we don't make invalid comparisons during the search.
- Do not set the 'sp-flag' as we never really are the clock source for the
  content, even in case of live/transcoded streams.
- Add MPRIS2 plugin. This plugin turns any media player that implements
  MPRIS2[1] D-Bus interface into a UPnP MediaRenderer.
- MediaExport:
  - Don't forget containers in children count.
  - Fix handling of "exists" operator in search.
  - Add m4v, m4a and png to list of file extensions to entertain.
  - Apply filter to monitoring of files as well.
  - Add support for the "Genre" folder of XBox.
  - Fix IOP with Windows Media Player 12.
  - Allow user to specify standard XDG media directories using variables.
  - Export XDG standard media directories by default but this time through
    default user configuration.
- Tracker:
  - Correct some checks.
  - Escape regex for SPARQL.
- GstLaunch:
  - Use '-' instead of '_' in user configrution options.
- Playbin:
  - Had forgotten to rename the plugin in the user configuration.
  - Remove last remaining "all rights reserved" from copyright headers.
- Localization:
  - Add Greek translation.
  - Add British English translation.
  - Update French translation.
  - Update Traditional Chinese translation (Hong Kong and Taiwan).
  - Update Czech translation.
  - Update Danish translation.
- DLNA test cases fixed in this release:
  - 7.3.41.1 (now N.A)
  - 7.3.66.2
  - 7.3.66.3,4
  - 7.4.49.4
- Various other performance, plugin API and non-functional improvements.

Dependency-related changes:
  - Lower gtk+-2.0 requirement to 2.20.0.

Bugs fixed in this release:

627243 - String operators during Search() should be case insensitive.
627982 - All Playbins on a network have the same hard coded name.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Philip Withnall <philip@tecnocode.co.uk>
Ask H. Larsen <asklarsen@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Claude Paroz <claude@2xlibre.net>
Giannis Katsampirhs <juankatsamprishs@gmail.com>
Kenneth Nielsen <k.nielsen81@gmail.com>
Marek Černocký <marek@manet.cz>
Petr Kovar <pknbe@volny.cz>

[1] http://www.mpris.org/2.0/spec/

0.7.6
=====

Another micro release to fix the critical regression in 'Year' hierarchy of
Tracker plugin.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.7.4
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.32.0
release.

- Fix wildcard handling in search request.
- Distribute correct copy of scallable icons.
- Provide icons in DLNA standard sizes.
- Provide icons in JPEG format as well.
- Don't offer transcoding from video to audio and viceversa. This makes sense
  anyway and reduces network traffic.
- Only offer time seeking if duration is known.
- Report correct DLNA profile for MPEG-TS HD and WMV transcoder.
- List DLNA formats first in the list of supported formats.
- Provide correct values for out parameters of GetCurrentConnectionInfo action.
- Correctly handle HTTP 'POST' requests.
- Correct checks for vala bindings.
- Use new 64-bit size property in GUPnP resource API so that we can deal with
  resources bigger than 2GB.
- Fix some (potential) crashes.
- Correctly handle a translated string involving plurals.
- Don't use deprecated libsoup API.
- Correct flaws in code related to search for media object by ID. This combined
  with some changes in Tracker plugin (see below) improves the reliability and
  especially the performance of Tracker plugin a lot.
- Use the mime-type and DLNA profile when provided in item creation requests.
- Advertize byte-seek support for thumbnails.
- Correct algorithm to decide whether to seek or not.
- Set standard header on XML files.
- Prefix service URLs with a "/". This seems like the right way to do it and it
  might actually improve our IOP.
- Make use of new APIs to report all known DLNA profiles in list of supported
  formats (MediaServer only).
- Add support for the "Genre" tag in music items.
- External:
  - Handle AlbumArt property.
  - Fix a few crashes.
  - Remove workaround for bug#602003.
Tracker:
  - Make sure metadata container get unique IDs.
  - Performance improvements to search for media object by ID.
  - Make use of DLNA profile when provided.
  - Don't use Tracker's logo as icon.
  - Ignore duration of '0'.
  - Print debug after item creation in store.
MediaExport:
  - Disable plugin when Tracker plugin is/becomes available.
  - Require sqlite3 VAPI only for this plugin.
  - Code clean-up and general speed improvements
  - Extract embedded album art
  - Remove the ability for user-defined virtual folders, providing a set of
    built-in folders similar to that of tracker's.
  - Fix some minor regressions introduced by the switch to gupnp-dlna metadata
    extraction
  - Move configured files and folders into their own "Files & Folders" container
    to de-clutter root.
- Localization:
  - Add ta translation.
  - Update Galician translations.
  - Update Hebrew translation.
  - Update Spanish translation.
  - Update Romanian translation.
  - Update Slovenian translation.
- DLNA test cases fixed in this release:
  - 7.2.14.2
  - 7.2.28.1
  - 7.3.25.1
  - 7.3.26.3
  - 7.3.26.4
  - 7.3.29.3
  - 7.3.29.4
  - 7.3.33.4
  - 7.3.33.5

Dependency-related changes:
  - Require and adapt to Vala 0.9.5.
  - Require gupnp-av >= 0.5.9.
  - Require gupnp-dlna >= 0.3.0.
  - MediaExport
    - Require gstreamer-tag >= 0.10.28.
    - Require gstreamer-app >= 0.10.28.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Yaron Shahrabani <sh.yaron@gmail.com>
Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Jorge González <jorgegonz@svn.gnome.org>
Fran Diéguez <fran.dieguez@mabishu.com>
drtv <vasudeven@git.gnome.org>
Claude Paroz <claude@2xlibre.net>
Andrej Žnidaršič <andrej.znidarsic@gmail.com>

0.7.3
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.31.6
release.

- Add Album-art support.
- Add support for sorted Browse/Search.
- Don't push data after HTTP response is cancelled.
- Advertise support for search by "createClass".
- Revive accidently removed XBox hacks.
- Fix icon export for uninstalled case.
- Simplify plugin APIs to further abstract plugin developers from UPnP details.
- Add convenient MediaRenderer APIs for plugins. This involved moving most of
  the GstRenderer code to core.
- Fix seeking once again.
- Improve error handling in HTTP request handling code.
- Port to new DIDL-Lite contributor APIs.
- Port to Vala 0.9.3 and 0.9.4.
- Clean-up README and specify build and run-time dependencies.
- More debug output.
- MediaExport:
  - Make use of gupnp-dlna for faster, more complete and reliable metadata
    extraction.
  - Print a debug message if extraction fails for a file.
  - Add windows formats to positive list of file extensions to include in the
    metadata extraction.
  - Don't share anyt folder by default.
  - Fix url-escaped folder names on PS3.
  - Fix issue of empty title of top-level virtual folders on PS3.
  - Process 256 children at a time. This improves performance of harvesting of
    large folders.
- GstRenderer:
  - Rename to Playbin.
  - Advertize support for 'video/mp4'
  - Advertize support for RTSP
  - Handle error from playbin.
  - Don't claim support for unsupported UPnP actions and state variables.
- External:
  - Fix a crasher bug.
- Localization:
  - Add French translation.
  - Update Simplified Chinese translations.
  - Update German translation.
  - Update Galician translation.
  - Update Swedish translation.
  - Update Slovenian translation.
- Lots of other non-functional and/or minor improvements and fixes.

Dependency-related changes:

- Require Vala >= 0.9.3
- Require gupnp >= 0.13.4
- Require gupnp-av >= 0.5.8
- Require gupnp-dlna >= 0.2.1 (new dependency)
- Require libgee >= 0.5.2
- Use gtk+-2.0 (>= 2.21.5) if available rather than gtk+-3.0

Bugs fixed in this release:

607411 - Need to mention non-compile time deps.
624445 - Samsung can't FF/REW/PAUSE when playing video/avi from Rygel.
625556 - New configure flag to switch GTK+ version.

All contributors to this release:

Aron Xu <aronxu@gnome.org>
Arun Raghavan <arun.raghavan@collabora.co.uk>
Claude Paroz <claude@2xlibre.net>
Eleanor Chen <chenyueg@gmail.com>
Frédéric Péters <fpeters@0d.be>
Javier Jardón <jjardon@gnome.org>
Jens Georg <mail@jensge.org>
Mario Blättermann <mariobl@gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.7.2
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.31.5
release.

* MediaExport:
  * Support DLNA's 'AnyContainer' upload extenstion.
  * Only harvest media files. We use a positive list for file extensions to
    include in the metadata extraction.
  * Implement fallback to the default (slow) search implementation.
  * Lower severity for some of the console messages.
  * Update code according to latest GStreamer Vala API fixes.
* Tracker:
  * Improve Sparql query builder to achieve much better performance and reduced
    D-Bus traffic.
* GstRenderer:
  * Relicense from GPL to LGPL.
  * More descriptive default title.
- Localization:
  - Add Simplified Chinese translation.
  - Add Traditional Chinese translation (Hong Kong and Taiwan).
  - Updated Spanish translation.
- Various non-functional improvements to core and plugins.

All contributors to this release:

Aron Xu <aronxu@gnome.org>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Jens Georg <mail@jensge.org>
Jorge González <jorgegonz@svn.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.7.1
=====

A new release in the current unstable 0.7.x series for upcoming GNOME 2.31.4
release.

- Implement DLNA's 'AnyContainer' upload extenstion. This allows clients to
  upload items without having to specify target container. Currently it only
  works for the Tracker backend.
- Report types of items that could be created/uploaded in a container and allow
  clients to search containers by this property.
- Port last bits of C code to Vala. Now Rygel is completely written in Vala.
- Make Rygel build/work against both current stable and unstable Vala releases.
- Offer SD transcoding in EU profile. Seems certain Sony Bravia TVs only
  support EU profiles. With this change, they should at least be able to use the
  SD transcoding.
- Two more unit tests.
- Provide default configuration for WMV transcoding.
- Correctly handle boolean commandline option for disabling WMV transcoder.
- External:
  - Port the external plugin to use the new D-Bus MediaServer specification:
    http://live.gnome.org/Rygel/MediaServer2Spec. The new specification is meant
    to be very generic and scale well to large media hierarchies.
  - Make use of search API when implemented by the external application.
  - Various other performance improvements.
- Preferences UI:
  - Improve resize behavior.
  - Add missing bevel to URI tree view.
  - Replace GtkVBox by GtkVButtonBox where appropriate.
- Localization:
  - Added Punjabi Translation.
  - Updated Norwegian bokmål translation.
  - Updated Galician translations.
  - Updated Spanish translation.
  - Updated Hebrew translation.
- Various non-functional improvements.

Dependency-related changes:

- Require gtk+-3.0 >= 2.90.3.
- Require gupnp-av >= 0.5.7.
- Require gupnp-vala >= 0.6.7.

Bugs fixed in this release:

593628 - mp2ts transcoder not working with certain Bravia TV models.
596214 - URI table is missing bevel.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Eric Anderson <ejona86@gmail.com>
A S Alam <aalam@users.sf.net>
Fran Diéguez <fran.dieguez@mabishu.com>
Jorge González <jorgegonz@svn.gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Yaron Shahrabani <sh.yaron@gmail.com>

0.7.0
=====

This release marks the start of the new unstable release-cycle. This is also the
release cycle that will be integrated into GNOME 2.31 (and 3.0 eventually).
Changes since 0.6.0:

- Exit on failure to load any plugins in 5 seconds.
- Add icon to preferences UI's desktop file.
- Correct error on missing 'Elements' node in 'CreateObject' action from client.
- Advertize upload features in 'X_DLNACAP' in device description.
- Remove comments from description files as per DLNA requirement (7.2.30.1).
- Don't allow comments in DIDL-Lite from client either. This is to satisfy the
  DLNA Confirmation Test Tool rather than DLNA itself.
- Don't advertize unimplemented actions.
- autogen.sh should create m4 directory if it doesn't exist already.
- Correct Icon path in preferences UI for uninstalled case.
- Specify on debug log where rygel is currently looking for plugins.
- Localization:
  - Don't translate all strings in media-export plugin.
  - No need to translate Mediathek plugin.
  - Add Hebrew translation.
  - Add Swedish translation.
  - Add Czech translation.
  - More Spanish translations.
  - More Slovenian translations.
  - More German translations.
- MediaExport:
  - Fix search result. Search was returning the the result for the current
    limits, not the overall result count. This lead to strange behaviour on
    e.g. XBox 360.
  - Optimize searches. Noticable speed improvements on XBox music browsing.
  - Fix broken SQL query to get object by path.
  - Remove redundant custom tag for duration.
  - Make harvesting of metadata optional.
  - Re-enable simple mode which means we exporting media on the UPnP network
    even if no meta-data extractor is available.
  - Remove redundant URI table from database.
  - Work around a problem in GStreamer element playbin2.
  - Explain the term 'harvest' for translators.
  - Many non-functional improvements.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Daniel Nylander <po@danielnylander.se>
Fran Diéguez <fran.dieguez@mabishu.com>
Jorge González <jorgegonz@svn.gnome.org>
Mario Blättermann <mariobl@gnome.org>
Petr Kovar <pknbe@volny.cz>
Yaron Shahrabani <sh.yaron@gmail.com>

0.6.0
=====

This release marks the start of the new stable release-cycle. Changes since
0.5.2:

- Localization:
  - Fix translation framework.
  - Mark all (possibly) user-visible string for translation.
  - Use more translator-friendly language.
  - Provide comments for translators.
  - Correctly case abbreviations.
  - Translations:
    - German (de) 100%
    - Slovenian (sl): 100%
    - Spanish (es): 57%
- Fix time-seeking.
- Fix a potential race-condition in aborted HTTP requests.
- Don't stream if request is for subtitles.
- Use bigger (64Ki) buffers when streaming from gstreamer source element.
- Remux only if transcoding is not needed.
- Configuration option for specifying plugin load path.
- Add configuration from Environment.
- Fix port specification through commandline.
- Add and expose Rygel logo.
- Pause streaming pipeline when/if client isn't reading fast enough.
- Add more unit tests.
- Use gnome-autogen.sh.
- Add missing libuuid to build and linker flags for all plugins.
- Plugins are now able to provide a model description.
- MediaExport:
  - File size change suggests file change.
  - Move media DB and metadata harvesting code from core to module as this is
    the only module that is using it.
- External plugin now sets model description.
- Lots of non-functional improvements and fixes.

Dependency-related changes:

- Sqlite now only needed for media-export plugin.

Bugs fixed in this release:

617762 Wrong file size exported to PS3
590649 LiveResponse does not rate limit the GStreamer pipeline
615834 Uses ALL_LINGUAS in configure.ac
616189 Translation issues
617750 Only re-encode audio and video when necessary

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Mario Blättermann <mariobl@gnome.org>
Jorge González <jorgegonz@svn.gnome.org>
Andrej Žnidaršič <andrej.znidarsic@gmail.com>

0.5.2
=====

Another release in the unstable 0.5.x series. Changes since 0.5.0:

- Add support for Xbox 360 and Window Media Player 11.
- Add support for subtitles. Currently only useful for certain Samsung DLNA TVs.
- Add Windows Media Video (WMV) transcoder.
- Add unit tests for a few modules.
- Fix some (potential) crashes.
- Make database operations cancellable.
- Throw error on database creation failure.
- Simpler (hopefully) build rules.
- Fix race-condition in streaming code so we don't terminate the connection
  before all the bytes are sent to the client.
- Fix leaking of HTTP messages of live streams on termination.
- Fix 'Content-Length' header values for partial requests.
- Fix parsing of search expression containing characters not within the original
  latin1 range.
- Use bigger (64Ki) buffers when streaming media to reduce cpu usage and
  therefore improve battery life.
- Include spec version in description document.
- Remove now unneeded work-around for vala bug#568972.
- Advertize photos with their specific class, i-e 'photo' rather than 'image'.
- MediaExport:
  - Implement search by URIs.
  - Implement search by album.
  - Error-out on invalid search expression.
  - Add support for virtual containers. This allows creation of metadata-based
    hierarchies in the user-config.
  - Fix deletion of containers.
  - URI-escape meta-data fields.
  - Catch previously uncaught exceptions.
  - Fix upgrade of database from older schemas.
- Lots of code clean-ups and documentation fixes.

Dependency-related changes:

- Require gupnp >= 0.13.3.
- Require gupnp-av >= 0.5.5.
- Require gupnp-vala >= 0.6.5.
- Require valac >= 0.8.0.

Bugs fixed in this release:

608886 - media export plugin corrupts its database when you change directories
609944 - Files not harvested on update
606305 - Samsung subtitles

All contributors to this release:

Jens Georg <mail@jensge.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Cyrille Chepelov <cyrille.chepelov@keyconsulting.fr>

0.5.0
=====

The first release in the unstable 0.5.x series. Changes since 0.4.6 that were
not provided by any subsequent 0.4.x releases:

- New URI generation scheme that avoids problematic characters which makes some
  crappy renderers choke.
- Allow creation of new media items and tranfering data into existing ones (
  upload). This is relavent to, and works for both MediaExport and Tracker.
- Implement GetTransferProgress and StopTransferResource actions.
- Advertise:
  - support for connection stalling.
  - live response to be sender-paced.
- Rewrite SearchCriteria parser to make it more reliable.
- Tracker:
  - Port to the Tracker 0.7 APIs.
  - Provide richer & more intuitive media hierarchy.
  - Signal container update on changes to subjects.
  - Act on config options allowing user to define which categories to share.
  - Support for search by URI.
  - Descriptive IDs for containers.
- MediaExport
  - Implement custom search that translates to an SQLite query and therefore
    performs much faster than before.
  - Print message on console when harvesting is done.
  - Don't modify DB if harvester was cancelled.
  - Cancel harvester before starting new one.
- Lots of non-functional improvements and fixes.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>

0.4.6
=====

Brief summary of changes since 0.4.4:

- Implement optional UPnP Search action. This is not only a must have feature
  for a commercial MediaServer but is also a big first step towards proper
  XBox 360 support.
- Simplify Browse action handling.
- Simplify MediaServer plugin implementation.
- Make sure autostart dir exists before attempting to write to it.
- Fix a potential crash that is trigered by MediaContainer reporting incorrect
  (higher) number of children.
- External:
  - Work around (vala) bug#602003.
  - Optimizations and code clean-ups.
- Tracker:
  - Provide an efficient Search implementation using Tracker's search API.
  - Minor code clean-ups.

Dependency-related changes:

- Require gupnp-av >= 0.5.2.
- Require gupnp-vala >= 0.6.2.
- Require valac >= 0.7.9.

Bugs fixed in this release:

600256 - Segfault when trying to access a stream

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.4.4
=====

Brief summary of changes since 0.4.2:

- Provide a gstreamer-based MediaRenderer plugin. This is mostly code stolen (
  and heavily adapted) from gupnp-media-renderer except that it doesn't depend
  on libowl-av and/or gtk+.
- More ease for MediaServer implementors.
- Better error handling.
- Make sure no message is suppressed until we know what level of console output
  user wants.
- Make use of vala's async support to simplify code quite a bit.
- Plugins should load xml files from source tree when built with
  '--enable-uninstalled' configure flag.
- Build with no optimizations in debug mode.
- Use closure table to speed up object lookup and deletion.
- Add build option for SQL debugging.
- Workaround a crasher bug (#3774) in sqlite 3.6.12.
- Use vala's static client D-Bus syntax.
- Early ignorance of disabled plugins. This not only speeds-up startup a bit but
  also rids us of redundant debug messages.
- MediaExport:
  - Nicely handle unavailability of gstreamer's playbin(2) element.
  - Fix a potential crasher.
- Tracker:
  - Use multidimensional arrays to deal with search results. This combined with
    static client D-Bus syntax gives us quite a speed boost.
  - Handle item creation error.
- External:
  - Allow applications to provide custom thumbnails for items.
  - Support pixel-aspect-ratio properties.
  - All D-Bus operations are now done asynchronously.
  - Make use of plugin icon if provided.
  - Move magic string substitution to core so other plugins can benefit from it.
- Lots of other improvements and bug fixes.

Dependency-related changes:

- Require and adapt to libgee >= 0.5.
- Require and adapt to valac >= 0.7.8.

Bugs fixed in this release:

597276 - Rygel crash on startup
587649 - thumbnails not published for external media servers
589959 - External plugin should query media servers on demand
598005 - unable to load media-tracker plugin

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Thijs Vermeir <thijsvermeir@gmail.com>

0.4.2
=====

Brief summary of changes since 0.4.1:

- Ability to specify verbosity of console messages by a number between 0 to 5.
- Be able to survive unavailability of D-Bus session bus. This should make it
  easier to setup Rygel on headless NAS machines.
- MediaExport:
  - Provide duration and date of media.
  - Improved guessing for type (UPnP class) of media.
  - Re-harvest metadata when a file/directory is modified.
  - Speed-up browsing (twice as before).
- rygel-preferences:
  - Fix enabling/disabling of widgets.
  - Copy the desktop file from correct location.
- Mediathek and GstLaunch disabled by default in the user configuration.
- Add GstLaunch to maemo configuration (disabled by default though).
- Put dbus-glib-1 to the list of vala API dependencies.
- Fix seek headers.
- Be more verbose at the end of configure.

Bugs fixed in this release:

596500 - Mpeg TS video files are mistaken for audio files
596213 - Wrong state for checkboxes
596327 - Enables some weird plugins by default
596330 - Missing some metadata

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>

0.4.1
=====

A micro release that fixes some important issues found in the previous release:

- Update the Rygel D-Bus service paths everywhere.
- Ignore two ignorable errors.
- Initialize sensitivity of trancoding checkboxes to the same value as that of
  "Transcoding Support" checkbox.
- Fix seeking in transcoded streams. Without this fix, the success of seeking
  was based on pure luck.
- Correct headers in some files to reflect the correct license: LGPL.
- No need for DVB configuration anymore.

Bugs fixed in this release:

596211 - Error exiting the prefs
596213 - Wrong state for checkboxes

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
René Stadler <mail@renestadler.de>

0.4
===

Brief summary of changes since 0.3:

- Rygel is no more just a MediaServer but rather a collection of DLNA (UPnP AV)
  services (devices in UPnP speak).
- Port to new GUPnP APIs. The biggest advantage of that is that we now have
  dynamic network support, i-e Rygel can attach/detach to/from a network
  interface as it goes up/down.
- Support for time-based seeking in transcoded streams.
- Random tweaks to transcoding pipelines.
- Provide a DBus service providing two functionalities:
   * Ability to tell Rygel to shutdown. Starting of Rygel is automatically
     handled by D-Bus since a .service file is provided by Rygel.
   * Ability to tell Rygel (MediaExport plugin actually) to (un)export URIs on
     the fly.
- Implement enabling/disabling of UPnP in the preferences.
- Configuration through command-line options.
- Use a .ini configuration file rather than gconf.
- Special default configuration for Maemo.
- Don't spam the user's config directory and instead keep the description files
  into a separate subdirectory.
- `make clean` doesn't clean the generated C files anymore.
- Remove "all rights reserved" part from all copyright headers.
- Remove integrated DVB plugin as DVBDaemon now implements the external plugin
  interface and hence dynamically glues to Rygel, just like PulseAudio.
- New classes to further ease the plugin implementation.
- (Un)pause the SoupMessage at the right time. This was causing a lot of delays
  when playing media on Sony PS3.
- Bitrate is supposed to be in bytes/second. Not really but tell that to writers
  of UPnP specification.
- Expose transcode formats in the GetProtocolInfo's source argument. This should
  make Sony Bravia TVs happy.
- Transcoder URIs are now sorted according to their distance from the original
  format.
- Provide "contentFeatures.dlna.org" header in the HTTP responses.
- Provide DLNA transferMode header in the HTTP responses.
- Only advertise internal URIs on local loopback interface.
- Replace 'ip' config by 'interface' so users can bind Rygel to interfaces
  rather than IP.
- Allow plugins to provide thumbnails.
- Add thumbnails (if available) for each item if none provided by plugins. This
  works both on the desktop and Maemo.
- Suppress all C compiler warnings by default. These warnings are mostly useless
  for us since almost all C code is generated.
- Preference dialog is now more like a GNOME preferences dialog.
- Provide .desktop file for preferences dialog.
- Shave the build output.
- GstLaunch: New plugin that exposes gstreamer pipelines described using
  familiar gst-launch syntax in the user configuration.
- Tracker plugin:
  - Nicer default title.
  - Better detection of Tracker availability. Apparently ubuntu folks think that
    providing a .service file is wrong.
  - Better titles for top-level folders.
  - More usable hierarchy: Browsing by artists, albums and tags.
- Folder plugin:
  - Rename to MediaExport.
  - Nicer default title.
  - Use the new Rygel classes to extract, export and save media metadata.
  - notify about updates to containers.
  - Skip files/folders starting with '.'.
  - Avoid crash if unknown file is found.
  - Delete gone directories on new start.
  - React on deletion of files.
  - Add recursive file monitoring.
  - Provide simple and easy options to add and remove files and folders from the
    preferences UI.
- External plugin:
  - actually use 'DLNAProfile' property.
  - Don't load the plugin more than once.
  - Utilise optional MediaItem properties.
  - Fetch items on demand.
  - Fix critical warnings.
- Mediathek plugin:
  - Fix crash if no config is available.

Dependency-related changes:

- Require gupnp >= 0.13
- Require gupnp-av >= 0.5
- Require GStreamer >= 0.10.23
- Require libgee >= 0.3.0

Bugs fixed in this release:

584649 - Folder plugin should not export dot files and directories
586108 - ID3 information not exported on mp3 files
588034 - Bad durations for audio video files with media export plugin
585986 - Some copyright headers claim "all rights reserved"
585989 - Running "make clean" should leave generated C files in place.
586134 - Tracker plugin fails if org.freedesktop.Tracker can't be activated,
         even if tracker is already running
586243 - GStreamer 0.10.23 required for correct operation of transcoder
587651 - Support for some MediaItem properties missing
587855 - HTTP Error responses not sent
587866 - No way to notify about new sub-containers
588030 - rygel-preferences crashes if user's config file is missing
588162 - Support seeking in transcoded content
589955 - dc:creator never included in DIDL output
589956 - git ignore rules
589974 - Set the bitrate for transcoded resources correctly.
589977 - Rygel not recognised by Sony Bravia televisions
590643 - refactor HTTP request handling code
590702 - Rygel should provide thumbnails for items
591580 - not compatible with Samsung UE46B7070
593228 - [plugin] new gstlaunch plugin

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
James Henstridge <james@jamesh.id.au>
Thijs Vermeir <thijsvermeir@gmail.com>
Ole André Vadla Ravnås <oleavr@gmail.com>

0.3
===

Brief summary of changes since 0.2.2:

- Transcoding from any format (that gstreamer's decodebin2 can handle) to mp3,
  linear PCM and mpeg transport stream containing mpeg 2 video and mp2 audio.
- Plugin API to deal with user preferences.
- User preferences UI: rygel-preferences.
- New plugins:
   * Folder: Recursively exports folders specified in the user preferences.
   * ZDFMediathek: Exports online media from 2nd German TV station.
   * External: Exports media hierarchies provided by external applications
     through implementation of this spec:
     http://live.gnome.org/Rygel/MediaServer. The first application
     that utilizes this feature is PulseAudio.
- Drop xbox support. It didn't work anyway and we better concentrate on
  implementing standard stuff that it at least worthy of being called "UPnP" (
  at least for now).
- Tracker and DVB plugins are only loaded if their corresponding services are
  available.
- Export of duration for music and video items from Tracker.
- Use HTTP EOF encoding rather the CHUNKED for live streams.
- Ability to build rygel plugins outside it's source tree.
- HTTP proxying only if needed.
- Now that gupnp-av does DLNA profile guessing for us, no need to lie about
  DLNA profile anymore.
- Add a summary after configure.
- HTTServer is now internal API.
- Use git-version-gen to generate package version.
- Differentiate between modules and plugins
- Passive, asynchronous plugin loading. A side-effect of which is that modules
  can now load more than one plugin.
- Differentiate between name and title of the plugin.
- Plugins can now dynamically change their availability.
- Add API to get/list plugins.
- Re-use existing description from user's home directory. This not only speeds
  the start-up but also obsoletes the necessity to keep immutable data (e.g UDN)
  in user preferences.
- Provide gconf schemas.
- Lots of other improvements and bug fixes.

Dependency-related changes:

- Explicitly require and link to libsoup-2.4 >= 2.26.0.
- Don't require Vala (and bindings) in distribution tarball.
- Require gupnp-av >= 0.4.
- Require Vala >= 0.7.3.
- Require Gtk+ >= 2.16 if preferences UI is not disabled.

Bugs fixed in this release:

582173 - git-version-gen: generate versions with - instead of .
577000 - gupnp-av-cp does not like & in uris
576998 - Rygel wants to transcode audio files to video/mpeg
575935 - Add support for duration metadata field
574604 – bug connecting to PS3

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Henrique Ferreiro <henrique.ferreiro@gmail.com>
Lennart Poettering <lennart@poettering.net>
Marc-André Lureau <marcandre.lureau@gmail.com>
Rob Taylor <rob.taylor@codethink.co.uk>

0.2.2
=====

Changes since 0.2:

- Use the new (0.6.9) Tracker API.
- Priority of gio-based streams are based on requested DLNA transfer mode.
- GIO-based/like asynchronous plugin API.
- Adapt to latest changes in gupnp-vala API.
- Serialization of media objects isn't done by media objects themselve
  anymore, but by a new separate class, Rygel.DIDLLiteWriter.
- Internal API is marked 'internal' so it doesn't get to our (Vala) API.
- MediaObject now derives from GLib.Object.
- Generic AsyncResult implementation, SimpleAsyncResult.
- StateMachine interface that all state machines classes implement.
- Visible performance improvements in Tracker plugin by proper use of Tracker
  APIs.
- Use Filename.to_string() and therefore make Bastien happy.
- Require lastest version (0.1.5) of libgee to use List.slice().
- Don't limit the number of objects returned to a client, let it decide
  that on it's own.
- Proper handling of update notification to the client by use of a very simple
  bubble-up mechanism for containers to signal updates.
- Decrease needed gconf version to 2.16.
- Set application name and therefore make Lennart happy.
- Require latest version of vala (0.5.7) and gupnp-vala (0.5.3).
- Allow multiple URIs for each media items.
- Response for seekable media request is now sent buffer by buffer so the whole
  file is not put into memory.
- Some improvements to build system.
- Lots of other improvements and bugfixes.

0.2
===

The major change after last release (as gupnp-media-server) is the introduction
of a simple yet powerful plugin-based architecture/api: Every plugin:
- is loaded into a separate MediaServer instance.
- can implement any kind and number of resources (currently only services).
- can export an icon file.
- inherit it's ContentDirectory implementation from a base class that does most
  of the UPnP-related work. More improvements on this planned for next release.
- use an intuitive API to easily export media from URIs and live GStreamer
  source elements over HTTP.

Other changes:

- Relicense under LGPL to allow proprietary plugins and ease of moving code
  from/to gupnp libraries.
- DVB Daemon integration though a plugin. Now you can watch live channels from
  your PC on your PS3 for example.
- Test plugin that exports one audio and video item, streaming contents from
  GStreamer's audiotestsrc and videotestsrc elements respectively.
- Better interoperability with Sony playstation 3.
- Announce unavailability to UPnP world on exit.
- Loads of other improvements.

0.1
===

- Initial release.
